<?php

class pve{



	function obtenerReporteador($bd,$id){

		$query = " SELECT plan_id, responsabilidad, actividad, finicio, ffinal "

		.", MONTH(finicio) AS pinicio, MONTH(ffinal) AS pfinal "

		.", CASE WHEN accion=1 THEN 'Correctiva' WHEN accion=2 THEN 'Preventiva'  END AS taccion "

		." FROM hc_pve_plan "

		." WHERE pve_id=".$id

		." ORDER BY accion ASC";

		return  $bd->loadObjectList($query);

	}



	function obtenerSeguimientoPlan($bd,$plan,$mes){

		$query = " SELECT estado  "

		." FROM hc_pplanseguimeinto  "

		." WHERE plan_id=".$plan." AND mes=".$mes;

		return  $bd->loadObjectList($query);

	}



	function registrarPVE($bd,$acc,$id,$forma){

		if($acc=="ux"){

			$query=" UPDATE hc_pve SET "

			.", pve			='". trim($forma["pve"]) ."'"

			.", objetivo	='". trim($forma["objetivo"]) ."'"

			.", metas		='". trim($forma["metas"]) ."'"

			.", indicadores='". trim($forma["indicadores"]) ."'"

			.", referencias='". trim($forma["referencias"]) ."'"

			." WHERE pve_id=".$id;

		}

		if($acc=="ix"){

			$query=" INSERT INTO hc_pve(pve, objetivo, metas, indicadores, referencias "

			.", cliente_id)"

			." VALUES('". trim($forma["pve"])

			. "','". trim($forma["objetivo"])

			. "','". trim($forma["metas"])

			. "','". trim($forma["indicadores"])

			. "','". trim($forma["referencias"])

			. "','". trim($id)."')";

		}

		//echo $query;

		return  $bd->sqlquery($query);

	}



	function obtenerIndEVE($bd,$id){

		$query=" SELECT pve, objetivo, metas, indicadores, referencias"

		." FROM hc_pve "

		." where pve_id=".$id;

		//echo $query;

		return  $bd->loadObjectList($query);

	}



	function obtenerImpPve($bd,$id){

		$query=" SELECT pve, objetivo, metas, indicadores, referencias, rhumano, rtecnico, rfinanciero "

		." FROM hc_pve "

		." WHERE pve_id=".$id;

		//echo $query;

		return  $bd->loadObjectList($query);

	}



	function obtenerAllPve($bd,$condicion){

		$query=" SELECT pve_id, objetivo, metas, indicadores, referencias, rhumano, rtecnico, rfinanciero "

		." FROM hc_pve "

		." WHERE pve_id>0 "

		.$condicion;

		//echo $query;

		return  $bd->loadObjectList($query);

	}



	function obtenerBasPve($bd,$id){

		$query=" SELECT  proyecto_id, pve AS programa "

		." FROM hc_pve "

		." WHERE pve_id=".$id;

		//echo $query;

		return  $bd->loadObjectList($query);

	}



	function obtenerAllPrograma($bd){

		$query=" SELECT programa_id AS pve_id, nombre AS pve, ruta, icono "

		." FROM hc_programa "

		." WHERE estado=1"

		." ORDER BY pve ASC ";

		//echo $query;

		return  $bd->loadObjectList($query);

	}



	function obtenerIndPrograma($bd,$id){

		$query="SELECT nombre AS pve "

		." FROM hc_programa "

		." WHERE programa_id=".$id;

		//echo $query;

		return  $bd->loadObjectList($query);

	}



	function obtenerPve($bd,$condicion){

		$query=" SELECT pve_id, pve  "

		." FROM hc_pve "

		." WHERE pve_id>0".$condicion;

		//echo $query;

		return  $bd->loadObjectList($query);

	}



	function obtenerIndPlan($bd,$id){

		$query=" SELECT accion, responsabilidad, actividad, finicio, ffinal "

		." FROM hc_pve_plan "

		." where plan_id=".$id;

		//echo $query;

		return  $bd->loadObjectList($query);

	}



	function registrarPlan($bd,$acc,$id,$forma){

		if($acc=="ux"){

			$query=" UPDATE hc_pve_plan SET "

			."  accion				='". trim($forma["accion"]) ."'"

			.", responsabilidad	='". trim($forma["responsabilidad"]) ."'"

			.", actividad			='". trim($forma["actividad"]) ."'"

			.", finicio				='". trim($forma["finicio"]) ."'"

			.", ffinal				='". trim($forma["ffinal"]) ."'"

			." WHERE plan_id=".$id;

		}

		if($acc=="ix"){

			$query=" INSERT INTO hc_pve_plan(accion, responsabilidad, actividad, finicio, ffinal, pve_id)"

			." VALUES('".trim($forma["accion"])

			. "','". trim($forma["responsabilidad"])

			. "','". trim($forma["actividad"])

			. "','". trim($forma["finicio"])

			. "','". trim($forma["ffinal"])

			. "','". trim($id)."')";

		}

		//echo $query;

		return  $bd->sqlquery($query);

	}





	function registrarEstadoActividad($bd,$mes,$plan,$forma){

		$query=" DELETE FROM hc_pplanseguimeinto WHERE mes=".$mes." AND plan_id=".$plan;

		$bd->sqlquery($query);



		$query=" INSERT INTO hc_pplanseguimeinto(estado, fejecucion, observacion, mes, plan_id)"

		." VALUES('".trim($forma["estado"])

		. "','". trim($forma["fejecucion"])

		. "','". trim($forma["observacion"])

		. "',".$mes.",".$plan.")";

		//echo $query;

		return  $bd->sqlquery($query);

	}



	function obtenerEstadoActividad($bd,$mes,$plan){

		$query=" SELECT estado, fejecucion, observacion "

		." FROM hc_pplanseguimeinto "

		." WHERE mes=".$mes." AND plan_id=".$plan;

		//echo $query;

		return  $bd->loadObjectList($query);

	}







	function registrarEmpleadoPVE($bd,$acc,$id,$forma,$programa,$recomendacionCk=''){



		if ( isset($forma["otrotipoExamen"]) ) {

				$otrotipoExamen=$forma["otrotipoExamen"];

			} else {

				$otrotipoExamen='';

			}



		if($acc=="ux"){

			$query=" UPDATE hc_pve_empleado SET "

			."  tipo_examen	='". trim($forma["tipoExamen"]) ."'"

			.", otro_examen	='". trim($otrotipoExamen) ."'"

			.", proyecto_id	='". trim($forma["proyecto"]) ."'"

			.", pve_concepto	='". trim($forma["pve_concepto"]) ."'"

			.", concepto			='". trim($forma["concepto"]) ."'"

			.", recomendacion	='". trim($forma["recomendacion"]) ."'"

			.", recomendacionCk	='". $recomendacionCk ."'"

			.", programa			='". trim($programa) ."'"

			." WHERE pve_empleado_id=".$id;

		}

		if($acc=="ix"){

			$query=" INSERT INTO hc_pve_empleado(

			fecha,

			medico_id,

			pve_concepto,

			proyecto_id,

			concepto ,

			recomendacion,

			recomendacionCk,

			programa,

			empleado_id,

			tipo_examen,

			otro_examen

			)

		VALUES

			(

			now()

			,".$_SESSION["usuario"]

			.", '".trim($forma["pve_concepto"])

			."', '".trim($forma["proyecto"])

			."', '". trim($forma["concepto"])

			."', '". trim($forma["recomendacion"])

			."', '". $recomendacionCk

			."', '". trim($programa)

			."', '". trim($id)

			."', '". trim($forma["tipoExamen"])

			."', '". trim($otrotipoExamen)."'

			)";

		}

		//echo $query;

		return  $bd->sqlquery($query);

	}





	function obtenerAllPveEmpleado($bd,$id, $contition=''){

		$query=" SELECT pve_empleado_id, fecha, programa, concepto, recomendacion "

		.", CASE WHEN pve_concepto=1 THEN 'Programa PVE' WHEN pve_concepto=2 THEN 'Remitir a EPS'  WHEN pve_concepto=3 THEN 'Trabajador Totalmente Sano' END AS cpve "

		.", (SELECT nombre FROM hc_usuario WHERE usuario_id=hc_pve_empleado.medico_id) AS medico "

		." FROM hc_pve_empleado "

		." WHERE empleado_id=".$id." ".$contition;

		//echo $query;

		return  $bd->loadObjectList($query);

	}



	public function obtenerUltimoPveEmpleado( $bd, $empleado_id ) {

		$query="SELECT pve_empleado_id FROM hc_pve_empleado WHERE empleado_id = ".$empleado_id." ORDER BY pve_empleado_id DESC LIMIT 0,1;";

		$data = $bd->loadObjectList($query);

		if ( !empty($empleado_id) and !empty($data[0]->pve_empleado_id) ) {

			return $this->obtenerIndPveEmpleado($bd, $data[0]->pve_empleado_id);

		} else {

			return false;

		}



	}



	function obtenerIndPveEmpleado($bd,$id){

		$query=" SELECT programa, concepto, recomendacion, pve_concepto, proyecto_id, tipo_examen, otro_examen, recomendacionCk "

		." FROM hc_pve_empleado "

		." WHERE pve_empleado_id=".$id;

		//echo $query;

		return  $bd->loadObjectList($query);

	}



	function obtenerInformePveEmpleado($bd,$id){

		$query=" SELECT emp.identificacion, emp.cargo, pve.recomendacionCk "

		.", CONCAT ( if(emp.apellido is NULL,'',apellido),' ', if(emp.nombre is NULL,'',nombre) ) AS nempleado "

		.",( SELECT YEAR(CURDATE())-YEAR(emp.fnacimiento) + if(DATE_FORMAT(CURDATE(),'%m-%d') >= DATE_FORMAT(emp.fnacimiento,'%m-%d'), 0, -1) ) AS edad "

		.", CASE WHEN emp.genero=1 THEN 'Femenino' WHEN emp.genero=2 THEN 'Masculino' END AS genero "

		.", (SELECT ncentro FROM hc_centro WHERE centro_id = emp.centro_id ) AS centro"

		.",  pve.fecha, pve.programa, pve.concepto, pve.recomendacion "

		.", CASE WHEN pve.pve_concepto=1 THEN 'Programa PVE' WHEN pve.pve_concepto=2 THEN 'Remitir a EPS'  WHEN pve.pve_concepto=3 THEN 'Trabajador Totalmente Sano' END AS cpve "

		.", (SELECT nombre FROM hc_usuario WHERE usuario_id=pve.medico_id) AS medico "

		." FROM hc_pve_empleado AS pve, hc_empleado AS emp "

		." WHERE pve.empleado_id = emp.empleado_id AND pve.pve_empleado_id=".$id;

		//echo $query;

		return  $bd->loadObjectList($query);

	}



	function obtenerNombresProgramas($bd,$ids) {

		$query="SELECT objetivo FROM hc_pve WHERE proyecto_id IN(".$ids.");";

		$data = $bd->loadObjectList($query);

		$textProgramas='';

		foreach ($data as $key => $value){

			$textProgramas .= $value->objetivo.', ';

		}

		return $textProgramas;

	}



	function obtenerProgrma($bd,$id){

		$query=" SELECT empleado_id, nombre, apellido, fnacimiento, identificacion

		FROM hc_empleado

		WHERE empleado_id IN (select empleado_id from hc_pve_empleado where  programa like '%".$id."%')";

			return  $bd->loadObjectList($query);

	}







	function obtenerEmpleadoPrograma($bd,$programa,$empleado){

		$query=" SELECT empleado_programa_id "

		." FROM hc_empleado_programa "

		." WHERE programa_id=".$programa." AND empleado_id=".$empleado;

		//echo $query;

		return  $bd->loadObjectList($query);

	}



	function borraEmpleadoPrograma($bd,$pve){

		$query=" DELETE FROM hc_empleado_programa WHERE pve=".$pve;

		return  $bd->sqlquery($query);

	}



	function registrarEmpleadoPrograma($bd,$empleado,$programa,$tipo,$pve){

		$query=" INSERT INTO hc_empleado_programa(empleado_id,programa_id,tipo,pve,fregistro,uregistro) "

		." VALUES(".$empleado.",".$programa.",".$tipo.",".$pve.",now(),".$_SESSION["usuario"].")";

		//echo $query;

		return  $bd->sqlquery($query);

	}



}





?>

