<?php



	class pve{



		function obtenerReporteador($bd,$id,$yr=0,$centro='') {



			$query = "SELECT plan_id, responsable, actividad, finicio, ffinal, 

			MONTH(finicio) AS pinicio, MONTH(ffinal) AS pfinal,

			(CASE accion 

			WHEN '1' THEN 'Correctiva'

			WHEN '2' THEN 'Preventiva' 

			END) AS taccion,

			(SELECT nombre FROM svial_campos WHERE campo_id IN

				(SELECT campo_id FROM svial_rta WHERE svial_rta.rta_id = hc_pve_plan.hallazgo_id)

			) as nombre_campo FROM hc_pve_plan 

			WHERE 1 AND centro_id IN (SELECT centro_id FROM mto_centros WHERE cliente_id='".$id."'";

			$query.= ($centro!==0) ? " AND centro_id='".$centro."'" : NULL;

			$query.= ") ";

			$query.= ($yr!==0) ? " AND (YEAR(finicio)='".$yr."' OR year(ffinal)='".$yr."') " : NULL;

			$query.= "ORDER BY accion ASC";

			return  $bd->loadObjectList($query);

		}



		function obtenerSeguimientoPlan($bd,$plan,$mes){

			$query = "SELECT estado FROM hc_pplanseguimeinto WHERE plan_id='".$plan."' AND mes='".$mes."'";

			return $bd->loadObjectList($query);

		}



		function registrarPVE($bd,$acc,$id,$forma){

			if($acc=="ux"){

				$query=" UPDATE hc_pve SET "

				.", pve			='". trim($forma["pve"]) ."'"

				.", objetivo	='". trim($forma["objetivo"]) ."'"

				.", metas		='". trim($forma["metas"]) ."'"

				.", indicadores='". trim($forma["indicadores"]) ."'"

				.", referencias='". trim($forma["referencias"]) ."'"

				." WHERE pve_id=".$id;

			}

			if($acc=="ix"){

				$query=" INSERT INTO hc_pve(pve, objetivo, metas, indicadores, referencias "

				.", cliente_id)"

				." VALUES('". trim($forma["pve"])

				. "','". trim($forma["objetivo"])

				. "','". trim($forma["metas"])

				. "','". trim($forma["indicadores"])

				. "','". trim($forma["referencias"])

				. "','". trim($id)."')";

			}

			//echo $query;

			return  $bd->sqlquery($query);

		}



		function obtenerIndEVE($bd,$id){

			$query=" SELECT pve, objetivo, metas, indicadores, referencias"

			." FROM hc_pve "

			." where pve_id=".$id;

			//echo $query;

			return  $bd->loadObjectList($query);

		}



		function obtenerImpPve($bd,$id){

			$query=" SELECT pve, objetivo, metas, indicadores, referencias, rhumano, rtecnico, rfinanciero "

			." FROM hc_pve "

			." WHERE pve_id=".$id;

			//echo $query;

			return  $bd->loadObjectList($query);

		}



		function obtenerAllPve($bd,$condicion){

			$query=" SELECT pve_id, objetivo, metas, indicadores, referencias, rhumano, rtecnico, rfinanciero "

			." FROM hc_pve "

			." WHERE pve_id>0 "

			.$condicion;

			//echo $query;

			return  $bd->loadObjectList($query);

		}



		function obtenerBasPve($bd,$id){

			$query=" SELECT  proyecto_id, pve AS programa "

			." FROM hc_pve "

			." WHERE pve_id=".$id;

			//echo $query;

			return  $bd->loadObjectList($query);

		}



		function obtenerAllPrograma($bd){

			$query=" SELECT programa_id AS pve_id, nombre AS pve, ruta, icono "

			." FROM hc_programa "

			." WHERE estado=1"

			." ORDER BY pve ASC ";

			//echo $query;

			return  $bd->loadObjectList($query);

		}



		function obtenerIndPrograma($bd,$id){

			$query="SELECT nombre AS pve "

			." FROM hc_programa "

			." WHERE programa_id=".$id;

			//echo $query;

			return  $bd->loadObjectList($query);

		}



		function obtenerPve($bd,$condicion){

			$query=" SELECT pve_id, pve  "

			." FROM hc_pve "

			." WHERE pve_id>0".$condicion;

			//echo $query;

			return  $bd->loadObjectList($query);

		}



		function obtenerIndPlan($bd,$id){

			$query=" SELECT * FROM hc_pve_plan WHERE plan_id='".$id."'";

			return  $bd->loadObjectList($query);

		}



		function registrarPlan($bd,$acc,$id,$form) {



			try {



				$responsable = $form['responsable'];



				$ctr = $bd->loadObjectList("SELECT nombre FROM mto_centros WHERE centro_id='".$form['centro_id']."'");

				$contratista = $ctr[0]->nombre;



				switch($form['accion']):

				case '2': $tipo_accion = 'Preventiva'; break;

				case '1': $tipo_accion = 'Correctiva'; break;

				endswitch;



				$aplicacion_nombre = 'Aplicacin No. '.$form['aplica_id'];



				$hrt = $bd->loadObjectList("SELECT * FROM svial_rta WHERE rta_id='".$form['hallazgo_id']."'");



				$hlz = $bd->loadObjectList("SELECT nombre FROM svial_campos WHERE campo_id='".$hrt[0]->campo_id."'");

				$hallazgo_nombre = $hlz[0]->nombre;



				$hlo = $bd->loadObjectList("SELECT nombre FROM svial_opciones WHERE opcion_id='".$hrt[0]->opcion_id."'");

				$opcion_nombre = $hlo[0]->nombre;



				$actividad = $form['actividad'];

				$finicio = $form['finicio'];

				$ffinal = $form['ffinal'];



				switch($acc):

				case 'ux':



					// Actualizar registro

					$query = "UPDATE hc_pve_plan SET accion='".trim($form['accion'])."', hallazgo_id='".trim($form['hallazgo_id'])."', 

					responsable='".trim($form['responsable'])."', correo='".trim($form['correo'])."', actividad='".trim($form['actividad'])."',

					finicio='".trim($form['finicio'])."', ffinal='".trim($form['ffinal'])."' WHERE plan_id='".$id."'";

					$bd->sqlquery($query);



					// Enviar por email los cambios realizados

					$subject = "Cambio de actividad asignada";



					$body = "$responsable,\n\nUsted ha sido asignado para la siguiente actividad en el sistema:\n\n";

					$body.= "Tipo de accin: ".$tipo_accion."\n";

					$body.= "Evaluacin: ".$aplicacion_nombre."\n";

					$body.= "Hallazgo: ".$hallazgo_nombre."\n";

					$body.= "Actividad: ".$actividad."\n\n";

					$body.= "Fecha inicio: ".$finicio." - Fecha final: ".$ffinal;



					$headers = "From: IDENDATA <soporte.tecnico@idendata.com>\r\n";

					$headers.= "Cco: anibal.velasquez@idendata.com <anibal.velasquez@idendata.com>\r\n";



					mail($form['correo'],$subject,$body,$headers);



				break;

				case 'ix':



					$query = "INSERT INTO hc_pve_plan SET centro_id='".trim($form['centro_id'])."', accion='".trim($form['accion'])."', aplica_id='".trim($form['aplica_id'])."',

					hallazgo_id='".trim($form['hallazgo_id'])."', responsable='".trim($form['responsable'])."', correo='".trim($form['correo'])."', actividad='".trim($form['actividad'])."',

					finicio='".trim($form['finicio'])."', ffinal='".trim($form['ffinal'])."'";



					$bd->sqlquery($query);



					// Enviar por email la nueva actividad

					$subject = "Registro nueva actividad para usted.";



					$body = "$responsable,\n\nUsted ha sido asignado para la siguiente actividad en el sistema:\n\n";

					$body.= "Contratista: ".$contratista."\n";

					$body.= "Tipo de accin: ".$tipo_accion."\n";

					$body.= "Evaluacin: ".$aplicacion_nombre."\n";

					$body.= "Hallazgo: ".$hallazgo_nombre."\n";

					$body.= "Opcin: ".$opcion_nombre."\n";

					$body.= "Actividad: ".$actividad."\n\n";

					$body.= "Fecha inicio: ".$finicio." - Fecha final: ".$ffinal;



					$headers = "From: IDENDATA <soporte.tecnico@idendata.com>\r\n";

					$headers.= "Cco: anibal.velasquez@idendata.com <anibal.velasquez@idendata.com>\r\n";



					mail($form['correo'],$subject,$body,$headers);



				endswitch;



			} catch(Exception $e) {



				@mail('soporte.tecnico@idendata.com','error::registrarPlan',var_export($e->getMessage(),true));



			}



		}



		function registrarEstadoActividad($bd,$mes,$plan,$forma,$archivo){



			if(is_array($archivo)):

				$path = realpath(dirname(__FILE__).'/../forma/adjunto');

				$lastDotPos = strrpos($archivo['adjunto']['name'], '.');

	    		$ext = substr($archivo['adjunto']['name'], $lastDotPos+1);

				$adjunto = 'adjunto_'.time().'.'.$ext;

				if(move_uploaded_file($archivo['adjunto']['tmp_name'],$path.'/'.$adjunto)):

					$incf = $adjunto;

				endif;

			else:

				$incf = ($archivo!=='') ? $archivo : NULL;

			endif;



			$query = "DELETE FROM hc_pplanseguimeinto WHERE mes='".$mes."' AND plan_id='".$plan."'";

			$bd->sqlquery($query);



			$query = "INSERT INTO hc_pplanseguimeinto SET estado='".trim($forma["estado"])."', fejecucion='".trim($forma["fejecucion"])."', observacion='".trim($forma["observacion"])."', mes='".$mes."', plan_id='".$plan."', adjunto='".$incf."'";

			return $bd->sqlquery($query);



		}



		function obtenerEstadoActividad($bd,$mes,$plan){



			$query = "SELECT estado, fejecucion, observacion, adjunto FROM hc_pplanseguimeinto WHERE mes='".$mes."' AND plan_id='".$plan."'";

			return  $bd->loadObjectList($query);



		}



		function registrarEmpleadoPVE($bd,$acc,$id,$forma,$programa,$recomendacionCk=''){



			if ( isset($forma["otrotipoExamen"]) ) {

					$otrotipoExamen=$forma["otrotipoExamen"];

				} else {

					$otrotipoExamen='';

				}



			if($acc=="ux"){

				$query=" UPDATE hc_pve_empleado SET "

				."  tipo_examen	='". trim($forma["tipoExamen"]) ."'"

				.", otro_examen	='". trim($otrotipoExamen) ."'"

				.", proyecto_id	='". trim($forma["proyecto"]) ."'"

				.", pve_concepto	='". trim($forma["pve_concepto"]) ."'"

				.", concepto			='". trim($forma["concepto"]) ."'"

				.", recomendacion	='". trim($forma["recomendacion"]) ."'"

				.", recomendacionCk	='". $recomendacionCk ."'"

				.", programa			='". trim($programa) ."'"

				." WHERE pve_empleado_id=".$id;

			}

			if($acc=="ix"){

				$query=" INSERT INTO hc_pve_empleado(

				fecha,

				medico_id,

				pve_concepto,

				proyecto_id,

				concepto ,

				recomendacion,

				recomendacionCk,

				programa,

				empleado_id,

				tipo_examen,

				otro_examen

				)

			VALUES

				(

				now()

				,".$_SESSION["usuario"]

				.", '".trim($forma["pve_concepto"])

				."', '".trim($forma["proyecto"])

				."', '". trim($forma["concepto"])

				."', '". trim($forma["recomendacion"])

				."', '". $recomendacionCk

				."', '". trim($programa)

				."', '". trim($id)

				."', '". trim($forma["tipoExamen"])

				."', '". trim($otrotipoExamen)."'

				)";

			}

			//echo $query;

			return  $bd->sqlquery($query);

		}



		function obtenerAllPveEmpleado($bd,$id, $contition=''){

			$query=" SELECT pve_empleado_id, fecha, programa, concepto, recomendacion "

			.", CASE WHEN pve_concepto=1 THEN 'Programa PVE' WHEN pve_concepto=2 THEN 'Remitir a EPS'  WHEN pve_concepto=3 THEN 'Trabajador Totalmente Sano' END AS cpve "

			.", (SELECT nombre FROM hc_usuario WHERE usuario_id=hc_pve_empleado.medico_id) AS medico "

			." FROM hc_pve_empleado "

			." WHERE empleado_id=".$id." ".$contition;

			//echo $query;

			return  $bd->loadObjectList($query);

		}



		function obtenerUltimoPveEmpleado( $bd, $empleado_id ) {

			$query="SELECT pve_empleado_id FROM hc_pve_empleado WHERE empleado_id = ".$empleado_id." ORDER BY pve_empleado_id DESC LIMIT 0,1;";

			$data = $bd->loadObjectList($query);

			if ( !empty($empleado_id) and !empty($data[0]->pve_empleado_id) ) {

				return $this->obtenerIndPveEmpleado($bd, $data[0]->pve_empleado_id);

			} else {

				return false;

			}



		}



		function obtenerIndPveEmpleado($bd,$id){

			$query=" SELECT programa, concepto, recomendacion, pve_concepto, proyecto_id, tipo_examen, otro_examen, recomendacionCk "

			." FROM hc_pve_empleado "

			." WHERE pve_empleado_id=".$id;

			//echo $query;

			return  $bd->loadObjectList($query);

		}



		function obtenerInformePveEmpleado($bd,$id){

			$query=" SELECT emp.identificacion, emp.cargo, pve.recomendacionCk "

			.", CONCAT ( if(emp.apellido is NULL,'',apellido),' ', if(emp.nombre is NULL,'',nombre) ) AS nempleado "

			.",( SELECT YEAR(CURDATE())-YEAR(emp.fnacimiento) + if(DATE_FORMAT(CURDATE(),'%m-%d') >= DATE_FORMAT(emp.fnacimiento,'%m-%d'), 0, -1) ) AS edad "

			.", CASE WHEN emp.genero=1 THEN 'Femenino' WHEN emp.genero=2 THEN 'Masculino' END AS genero "

			.", (SELECT ncentro FROM hc_centro WHERE centro_id = emp.centro_id ) AS centro"

			.",  pve.fecha, pve.programa, pve.concepto, pve.recomendacion "

			.", CASE WHEN pve.pve_concepto=1 THEN 'Programa PVE' WHEN pve.pve_concepto=2 THEN 'Remitir a EPS'  WHEN pve.pve_concepto=3 THEN 'Trabajador Totalmente Sano' END AS cpve "

			.", (SELECT nombre FROM hc_usuario WHERE usuario_id=pve.medico_id) AS medico "

			." FROM hc_pve_empleado AS pve, hc_empleado AS emp "

			." WHERE pve.empleado_id = emp.empleado_id AND pve.pve_empleado_id=".$id;

			//echo $query;

			return  $bd->loadObjectList($query);

		}



		function obtenerNombresProgramas($bd,$ids) {

			$query="SELECT objetivo FROM hc_pve WHERE proyecto_id IN(".$ids.");";

			$data = $bd->loadObjectList($query);

			$textProgramas='';

			foreach ($data as $key => $value){

				$textProgramas .= $value->objetivo.', ';

			}

			return $textProgramas;

		}



		function obtenerProgrma($bd,$id){

			$query=" SELECT empleado_id, nombre, apellido, fnacimiento, identificacion

			FROM hc_empleado

			WHERE empleado_id IN (select empleado_id from hc_pve_empleado where  programa like '%".$id."%')";

				return  $bd->loadObjectList($query);

		}



		function obtenerEmpleadoPrograma($bd,$programa,$empleado){

			$query=" SELECT empleado_programa_id "

			." FROM hc_empleado_programa "

			." WHERE programa_id=".$programa." AND empleado_id=".$empleado;

			//echo $query;

			return  $bd->loadObjectList($query);

		}



		function borraEmpleadoPrograma($bd,$pve){

			$query=" DELETE FROM hc_empleado_programa WHERE pve=".$pve;

			return  $bd->sqlquery($query);

		}



		function registrarEmpleadoPrograma($bd,$empleado,$programa,$tipo,$pve){

			$query=" INSERT INTO hc_empleado_programa(empleado_id,programa_id,tipo,pve,fregistro,uregistro) "

			." VALUES(".$empleado.",".$programa.",".$tipo.",".$pve.",now(),".$_SESSION["usuario"].")";

			//echo $query;

			return  $bd->sqlquery($query);

		}



	}



?>

