<?php



	require_once('../configuracion.php');

	require_once('../clases/cliente.class.php');

	require_once('../clases/encuesta.class.php');

	require_once('../clases/centro.class.php');



	$objEnc = new encuesta();

	$objCen = new centro();

	$objCli = new cliente();



	// Recuperar informacion de la empresa contratante

	$ap = $basedatos->loadObjectList("SELECT * FROM svial_aplicacion WHERE aplica_id='".$_REQUEST['aplica']."'");

	$cliente_id = $ap[0]->cliente_id;



	$rsCliente				= $objCli->obtenerCliente($basedatos,"ind",$cliente_id);



	$Rnit					= $rsCliente[0]->nit;

	$Rnombre 				= $rsCliente[0]->nombre;

	$Rnivel					= $rsCliente[0]->nivel;

	$Ractividad				= $rsCliente[0]->actividad;

	$Rvinculacion			= $rsCliente[0]->vinculacion;

	$Restado				= $rsCliente[0]->estado;

	$Rdireccion				= $rsCliente[0]->direccion;

	$Rtelefono				= $rsCliente[0]->telefono;

	$Rfax					= $rsCliente[0]->fax;

	$Rdpto					= $rsCliente[0]->dpto;

	$Rmunicipio				= $rsCliente[0]->municipio;

	$Rzona					= $rsCliente[0]->zona;

	$Rcontacto_cedula		= $rsCliente[0]->contacto_cedula;

	$Rcontacto_nombre		= $rsCliente[0]->contacto_nombre;

	$Rcontacto_cargo		= $rsCliente[0]->contacto_cargo;

	$Rcontacto_tel			= $rsCliente[0]->contacto_tel;

	$Rcontacto_fax			= $rsCliente[0]->contacto_fax;

	$Rcontacto_correo		= $rsCliente[0]->contacto_correo;

	$Rrep_cedula			= $rsCliente[0]->rep_cedula;

	$Rrep_nombre			= $rsCliente[0]->rep_nombre;

	$Rrep_tel				= $rsCliente[0]->rep_tel;

	$Rrep_fax				= $rsCliente[0]->rep_fax;

	$Rrep_correo			= $rsCliente[0]->rep_correo;

	

	$sql = "

	SELECT mto_centros.nombre AS centro_nombre, svial_aplicacion.centro_id, svial_aplicacion.fregistro, svial_encuesta.nombre AS nombre_encuesta

	FROM svial_aplicacion

	LEFT OUTER JOIN mto_centros ON svial_aplicacion.centro_id = mto_centros.centro_id

	LEFT OUTER JOIN svial_encuesta ON svial_aplicacion.encuesta_id = svial_encuesta.encuesta_id

	WHERE aplica_id='".$ap[0]->aplica_id."'

	";

	$ap_info = $basedatos->loadObjectList($sql);



	// Obtiene la lista de resultados de evaluación

	$rsPre = $objEnc->obtenerCampo($basedatos,$ap[0]->encuesta_id,$_REQUEST["seccion"]);



	if($Rdpto!==''):

		$lsd = $basedatos->loadObjectList("SELECT dpto FROM gs_departamentos WHERE cod_dpto='".$Rdpto."'");

	endif;



	if($Rmunicipio!==''):

		$lsm = $basedatos->loadObjectList("SELECT mun FROM gs_departamentos WHERE cod_mun='".$Rmunicipio."'");

	endif;



	// Incluir phpExcel

	include '../clases/phpexcel/Classes/PHPExcel.php';

	$x = new PHPExcel();



	// Funciones

	function cellColor($cells,$color){

        global $x;

        $x->getActiveSheet()->getStyle($cells)->getFill()

        ->applyFromArray(

        	array(

				'type' => PHPExcel_Style_Fill::FILL_SOLID,

				'startcolor' => array(

					'rgb' => $color

				)

        	)

        );

    }



    function setHeightRow($row,$height) {

    	global $x;

    	$x->getActiveSheet()->getRowDimension($row)->setRowHeight($height);

    }

	// Fin funciones



	// Establecer propiedades

	$x->getProperties()->setCreator("IDENDATA Software")

						->setLastModifiedBy("IDENDATA Software")

						->setSubject("SELECCIÓN, MONITOREO, EVALUACIÓN Y CONTROL DE CONTRATISTAS")

						->setDescription("SELECCIÓN, MONITOREO, EVALUACIÓN Y CONTROL DE CONTRATISTAS")

						->setKeywords("resultados");



	// Trabajar sobre hoja activa

	$x->setActiveSheetIndex(0);

	$as = $x->getActiveSheet();

	$as->getDefaultStyle()->getFont()->setName('Arial');

	$as->getDefaultStyle()->getFont()->setSize(10);



	// Establecer el titulo de la hoja

	$sheet_name = 'Resultados';

	$as->setTitle($sheet_name);



	// Establecer ancho para el rango seleccionado

	$as->getColumnDimension('A')->setWidth(6.14);

	$as->getColumnDimension('AQ')->setWidth(6.14);



	for ($col = 'B'; $col != 'AQ'; $col++) {

		$as->getColumnDimension($col)->setWidth(3.29);

	}



	//

	$as->mergeCells('Z2:AB4');

	$as->setCellValue('Z2',$ap_info[0]->centro_id);

	$as->getStyle("Z2:AB4")->applyFromArray(array(

		'font' => array(

			'size' => 24,

			'bold' => true

		),

		'alignment' => array(

			'wrap' => true,

    		'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,

    		'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER

		),

		'borders' => array(

			'outline' => array(

				'style' => PHPExcel_Style_Border::BORDER_THIN,

				'color' => array('argb' => '00000000'),

			),

		),

	));

	

	$as->getStyle("B6:J10")->applyFromArray(array(

		'borders' => array(

			'outline' => array(

				'style' => PHPExcel_Style_Border::BORDER_DOUBLE,

				'color' => array('argb' => '00000000'),

			),

		),

	));



	$as->getStyle("K6:AE10")->applyFromArray(array(

		'borders' => array(

			'outline' => array(

				'style' => PHPExcel_Style_Border::BORDER_DOUBLE,

				'color' => array('argb' => '00000000'),

			),

		),

	));



	$as->getStyle("AF6:AP10")->applyFromArray(array(

		'borders' => array(

			'outline' => array(

				'style' => PHPExcel_Style_Border::BORDER_DOUBLE,

				'color' => array('argb' => '00000000'),

			),

		),

	));



	$as->getStyle("AD3")->getFont()->setBold(true)->setSize(10);

	$as->setCellValue("AD3","No. de CONTRATISTA");



	$as->mergeCells('L7:AD9');

	$as->setCellValue("L7","SELECCIÓN, MONITOREO, EVALUACIÓN Y CONTROL DE CONTRATISTAS");

	$as->getStyle("L7")->applyFromArray(array(

		'font' => array(

			'bold' => true,

			'size' => 13

		),

		'alignment' => array(

			'wrap' => true,

    		'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,

    		'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER

		)

	));



	$frv0 = array(

		'alignment' => array(

			'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_LEFT 

		),

		'font' => array(

			'bold' => false,

			'size' => 9

		)

	);

	$as->getStyle("AG7")->applyFromArray($frv0);

	$as->getStyle("AG8")->applyFromArray($frv0);

	$as->getStyle("AG9")->applyFromArray($frv0);



	$frv1 = array(

		'font' => array(

			'size' => 9,

			'bold' => true

		)

	);



	$as->getStyle("AJ7")->applyFromArray($frv1);

	$as->getStyle("AJ8")->applyFromArray($frv1);

	$as->getStyle("AJ9")->applyFromArray($frv1);



	//



	$as->setCellValue("AG7","ID:");

	$as->setCellValue("AJ7",$_REQUEST['aplica']);

	$as->getStyle("AJ7")->applyFromArray(

		array(

			'alignment' => array(

				'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_LEFT 

			)

		)

	);



	$as->setCellValue("AG8","VERSIÓN:");

	$as->setCellValueExplicit("AJ8","1.0", PHPExcel_Cell_DataType::TYPE_STRING);



	$as->setCellValue("AG9","FECHA:");

	$as->setCellValue("AJ9",date('Y-m-d'), PHPExcel_Cell_DataType::TYPE_STRING);



	//

	$bg1 = 'ddebf7';

	cellColor('B6:AP10',$bg1);

	cellColor('B13:AP16',$bg1);



	// Set height for row

	$inh = 10.50;

	setHeightRow(11,$inh);



	//

	$groupnum = array('B12:AP12','B17:AP17','B23:AP23','B29:AP29');

	$grouplabel = array('1. DATOS DE LA EMPRESA CONTRATISTA','2. DATOS DE LA PERSONA RESPONSABLE','3. RESULTADOS EVALUACIÓN','4. REQUISITOS HSEQ');

	$frt = array(

		'borders' => array(

			'outline' => array(

				'style' => PHPExcel_Style_Border::BORDER_DOUBLE,

				'color' => array('argb' => '00000000'),

			),

		),

		'alignment' => array(

			'wrap' => true,

    		'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,

    		'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER

		),

		'font' => array(

			'size' => 12,

			'bold' => true

		)

	);



	foreach($groupnum as $k=> $g):

		$as->mergeCells($g);

		cellColor($g,'acb9ca');

		$frs = explode(':',$g);

		$as->getStyle($g)->applyFromArray($frt);

		$as->setCellValueExplicit($frs[0],mb_convert_encoding($grouplabel[$k],'UTF-8','ISO-8859-1'),PHPExcel_Cell_DataType::TYPE_STRING);

		$frc = preg_match('/\d+/',$frs[0],$fg);

		setHeightRow($fg[0],25);

	endforeach;



	$bdrcell = array(

		'borders' => array(

			'outline' => array(

				'style' => PHPExcel_Style_Border::BORDER_THIN,

				'color' => array('argb' => '00000000'),

			),

		),

	);



	$celllabel = array(

		'alignment' => array(

			'wrap' => true,

    		'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_LEFT,

    		'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER

		),

	);



	$cellvalue = array(

		'alignment' => array(

			'wrap' => true,

    		'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_LEFT,

    		'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER

		),

		'font' => array(

			'bold' => true,

		)

	);



	// Grupo 1: Datos de la empresa contratista

	$hgrd = 19;



	# Fila 1

	$g1r1c1 = 'B13:I13';

	$as->mergeCells($g1r1c1);

	$as->setCellValue('B13','Nombre o razón social:');

	$as->getStyle($g1r1c1)->applyFromArray($celllabel);



	$g1r1c2 = 'J13:AA13';

	$as->mergeCells($g1r1c2);

	$as->setCellValue('J13',mb_convert_encoding($Rnombre,'UTF-8','ISO-8859-1'));

	$as->getStyle($g1r1c2)->applyFromArray($cellvalue);



	$g1r1c3 = 'AB13:AH13';

	$as->mergeCells($g1r1c3);

	$as->setCellValue('AB13','Centro de Trabajo:');

	$as->getStyle($g1r1c3)->applyFromArray($celllabel);



	$g1r1c4 = 'AI13:AP13';

	$as->mergeCells($g1r1c4);

	$as->setCellValue('AI13', ((!is_null($ap_info[0]->centro_nombre)) ? mb_convert_encoding($ap_info[0]->centro_nombre,'UTF-8','ISO-8859-1') : '[No especificado]') );

	$as->getStyle($g1r1c4)->applyFromArray($cellvalue);



	# Borde de campos

	$as->getStyle($g1r1c1)->applyFromArray($bdrcell);

	$as->getStyle($g1r1c2)->applyFromArray($bdrcell);

	$as->getStyle($g1r1c3)->applyFromArray($bdrcell);

	$as->getStyle($g1r1c4)->applyFromArray($bdrcell);



	setHeightRow(13, $hgrd);



	# Fila 2

	$g1r2c1 = 'B14:H14';

	$as->mergeCells($g1r2c1);

	$as->setCellValue('B14','Actividad Económica:');

	$as->getStyle($g1r2c1)->applyFromArray($celllabel);



	$g1r2c2 = 'I14:AP14';

	$as->mergeCells($g1r2c2);

	$as->setCellValue('I14',$Ractividad);

	$as->getStyle($g1r2c2)->applyFromArray($cellvalue);



	# Borde de campos

	$as->getStyle($g1r2c1)->applyFromArray($bdrcell);

	$as->getStyle($g1r2c2)->applyFromArray($bdrcell);



	setHeightRow(14, $hgrd);



	# Fila 3

	$g1r3c1 = 'B15:E15';

	$as->mergeCells($g1r3c1);

	$as->setCellValue('B15','Dirección:');

	$as->getStyle($g1r3c1)->applyFromArray($celllabel);



	$g1r3c2 = 'F15:AA15';

	$as->mergeCells($g1r3c2);

	$as->setCellValue('F15',mb_convert_encoding($Rdireccion,'UTF-8','ISO-8859-1'));

	$as->getStyle($g1r3c2)->applyFromArray($cellvalue);



	$g1r3c3 = 'AB15:AD15';

	$as->mergeCells($g1r3c3);

	$as->setCellValue('AB15','Teléfono:');

	$as->getStyle($g1r3c3)->applyFromArray($celllabel);



	$g1r3c4 = 'AE15:AP15';

	$as->mergeCells($g1r3c4);

	$as->setCellValue('AE15',$Rcontacto_tel);

	$as->getStyle($g1r3c4)->applyFromArray($cellvalue);



	# Borde de campos

	$as->getStyle($g1r3c1)->applyFromArray($bdrcell);

	$as->getStyle($g1r3c2)->applyFromArray($bdrcell);

	$as->getStyle($g1r3c3)->applyFromArray($bdrcell);

	$as->getStyle($g1r3c4)->applyFromArray($bdrcell);



	setHeightRow(15, $hgrd);



	# Fila 4

	$g1r4c1 = 'B16:F16';

	$as->mergeCells($g1r4c1);

	$as->setCellValue('B16','Departamento:');

	$as->getStyle($g1r4c1)->applyFromArray($celllabel);



	$g1r4c2 = 'G16:AA16';

	$as->mergeCells($g1r4c2);

	$as->setCellValue('G16',mb_convert_encoding($lsd[0]->dpto,'UTF-8','ISO-8859-1'));

	$as->getStyle($g1r4c2)->applyFromArray($cellvalue);



	$g1r4c3 = 'AB16:AE16';

	$as->mergeCells($g1r4c3);

	$as->setCellValue('AB16','Municipio:');

	$as->getStyle($g1r4c3)->applyFromArray($celllabel);



	$g1r4c4 = 'AF16:AP16';

	$as->mergeCells($g1r4c4);

	$as->setCellValue('AF16',mb_convert_encoding($lsm[0]->mun,'UTF-8','ISO-8859-1'));

	$as->getStyle($g1r4c4)->applyFromArray($cellvalue);



	# Borde de campos

	$as->getStyle($g1r4c1)->applyFromArray($bdrcell);

	$as->getStyle($g1r4c2)->applyFromArray($bdrcell);

	$as->getStyle($g1r4c3)->applyFromArray($bdrcell);

	$as->getStyle($g1r4c4)->applyFromArray($bdrcell);



	# Borde de contorno

	$as->getStyle('B13:AP16')->applyFromArray(array(

		'borders' => array(

			'outline' => array(

				'style' => PHPExcel_Style_Border::BORDER_DOUBLE,

				'color' => array('argb' => '00000000'),

			),

		),

	));



	setHeightRow(16, $hgrd);



	// Grupo 2: Datos de la persona responsable

	# Fila 1

	$g2r1c1 = 'B18:H18';

	$as->mergeCells($g2r1c1);

	$as->setCellValue('B18','Nombres y Apellidos:');

	$as->getStyle($g2r1c1)->applyFromArray($celllabel);



	$g2r1c2 = 'I18:AP18';

	$as->mergeCells($g2r1c2);

	$as->setCellValue('I18',mb_convert_encoding($Rcontacto_nombre,'UTF-8','ISO-8859-1'));

	$as->getStyle($g2r1c2)->applyFromArray($cellvalue);



	# Borde de campos

	$as->getStyle($g2r1c1)->applyFromArray($bdrcell);

	$as->getStyle($g2r1c2)->applyFromArray($bdrcell);



	setHeightRow(18, $hgrd);



	# Fila 2

	$g2r2c1 = 'B19:H19';

	$as->mergeCells($g2r2c1);

	$as->setCellValue('B19','Identificación C.C. No.');

	$as->getStyle($g2r2c1)->applyFromArray($celllabel);



	$g2r2c2 = 'I19:T19';

	$as->mergeCells($g2r2c2);

	$as->setCellValue('I19',$Rcontacto_cedula);

	$as->getStyle($g2r2c2)->applyFromArray($cellvalue);



	$g2r2c3 = 'U19:W19';

	$as->mergeCells($g2r2c3);

	$as->setCellValue('U19','Cargo:');

	$as->getStyle($g2r2c3)->applyFromArray($celllabel);



	$g2r2c4 = 'X19:AP19';

	$as->mergeCells($g2r2c4);

	$as->setCellValue('X19',mb_convert_encoding($Rcontacto_cargo,'UTF-8','ISO-8859-1'));

	$as->getStyle($g2r2c4)->applyFromArray($cellvalue);



	# Borde de campos

	$as->getStyle($g2r2c1)->applyFromArray($bdrcell);

	$as->getStyle($g2r2c2)->applyFromArray($bdrcell);

	$as->getStyle($g2r2c3)->applyFromArray($bdrcell);

	$as->getStyle($g2r2c4)->applyFromArray($bdrcell);



	setHeightRow(19, $hgrd);



	# Fila 3

	setHeightRow(20,2);

	setHeightRow(22,2);

	$g2r3c1 = 'B20:W22';

	$as->mergeCells($g2r3c1);

	$as->setCellValue('B20','Fecha reporte de verificación Documentación de contratistas:');

	$as->getStyle($g2r3c1)->applyFromArray(array(

		'alignment' => array(

			'wrap' => true,

    		'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_LEFT,

    		'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER

		),

	));

	setHeightRow(21,$hgrd);



	# Borde de campos

	$as->getStyle($g2r3c1)->applyFromArray($bdrcell);



	# Fila 3 - Fecha, formato de bordes y combinacion de celdas

	$frdy = array(

		'alignment' => array(

			'wrap' => true,

    		'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,

    		'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER

		),

	);



	$lgy = 'X20:Z22';

	$as->mergeCells($lgy);

	$as->setCellValue('X20','Día');

	$as->getStyle($lgy)->applyFromArray($frdy);



	$lgm = 'AC20:AF22';

	$as->mergeCells($lgm);

	$as->setCellValue('AC20','Mes');

	$as->getStyle($lgm)->applyFromArray($frdy);



	$lgd = 'AI20:AL22';

	$as->mergeCells($lgd);

	$as->setCellValue('AI20','Año');

	$as->getStyle($lgd)->applyFromArray($frdy);



	//



	$frdyv = array(

		'alignment' => array(

			'wrap' => true,

    		'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,

    		'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER

		),

		'font' => array(

			'bold' => true,

			'size' => 12

		),

		'borders' => array(

			'outline' => array(

				'style' => PHPExcel_Style_Border::BORDER_THIN,

				'color' => array('argb' => '00000000'),

			),

		),

	);

	

	$lgyv = 'AA21:AB21';

	$as->mergeCells($lgyv);

	$as->getStyle($lgyv)->applyFromArray($frdyv);

	$as->setCellValueExplicit('AA21',date('d',strtotime($ap_info[0]->fregistro)), PHPExcel_Cell_DataType::TYPE_STRING);



	$lgmv = 'AG21:AH21';

	$as->mergeCells($lgmv);

	$as->getStyle($lgmv)->applyFromArray($frdyv);

	$as->setCellValueExplicit('AG21',date('m',strtotime($ap_info[0]->fregistro)), PHPExcel_Cell_DataType::TYPE_STRING);



	$lgdv = 'AM21:AN21';

	$as->mergeCells($lgdv);

	$as->getStyle($lgdv)->applyFromArray($frdyv);

	$as->setCellValueExplicit('AM21',date('Y',strtotime($ap_info[0]->fregistro)), PHPExcel_Cell_DataType::TYPE_STRING);



	cellColor('B18:AP22',$bg1);



	# Borde de campos

	$as->getStyle('X20:AP22')->applyFromArray($bdrcell);



	# Borde de contorno

	$as->getStyle('B18:AP22')->applyFromArray(array(

		'borders' => array(

			'outline' => array(

				'style' => PHPExcel_Style_Border::BORDER_DOUBLE,

				'color' => array('argb' => '00000000'),

			),

		),

	));



	// Grupo 3: Resultados Evalucación

	setHeightRow(24,25);

	setHeightRow(27,6.75);



	$g3r1c1 = 'B24:AP27';

	$as->mergeCells($g3r1c1);

	$as->getStyle($g3r1c1)->applyFromArray(array(

		'alignment' => array(

			'wrap' => true,

    		'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_LEFT,

    		'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER

		),

	));

	$as->setCellValue('B24','Teniendo en cuenta la aplicación de la LISTA DE CONTROL DE LA DOCUMENTACIÓN PARA INICIO Y SEGUIMIENTO DE CONTRATOS y la confrontación de los documentos existentes en la empresa, en cuanto al cumplimiento del ANEXO HSEQ PARA CONTRATISTAS, se evidenciaron los siguientes HALLAZGOS y RECOMENDACIONES de la empresa CONTRATISTA, las cuales se deberán tener en cuenta para la adecuada programación de actividades:');

	cellColor($g3r1c1,$bg1);



	# Borde de contorno

	$as->getStyle($g3r1c1)->applyFromArray(array(

		'borders' => array(

			'outline' => array(

				'style' => PHPExcel_Style_Border::BORDER_DOUBLE,

				'color' => array('argb' => '00000000'),

			),

		),

	));



	setHeightRow(28,$inh);



	// Grupo 4: Requisitos HSEQ

	# Label

	$frg4a = array(

		'alignment' => array(

			'wrap' => true,

    		'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,

    		'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER

		),

		'borders' => array(

			'outline' => array(

				'style' => PHPExcel_Style_Border::BORDER_THIN,

				'color' => array('argb' => '00000000'),

			),

		),

		'font' => array(

			'bold' => true

		)

	);



	$g4r1c1 = 'B30:C30';

	$as->mergeCells($g4r1c1);

	$as->setCellValue('B30','No.');

	$as->getStyle($g4r1c1)->applyFromArray($frg4a);

	

	$g4r1c2 = 'D30:N30';

	$as->mergeCells($g4r1c2);

	$as->setCellValue('D30','ASPECTO EVALUADO');

	$as->getStyle($g4r1c2)->applyFromArray($frg4a);



	$g4r1c3 = 'O30:AC30';

	$as->mergeCells($g4r1c3);

	$as->setCellValue('O30','HALLAZGO');

	$as->getStyle($g4r1c3)->applyFromArray($frg4a);



	$g4r1c4 = 'AD30:AP30';

	$as->mergeCells($g4r1c4);

	$as->setCellValue('AD30','RECOMENDACIONES');

	$as->getStyle($g4r1c4)->applyFromArray($frg4a);



	cellColor('B30:AP30',$bg1);



	setHeightRow(30,$hgrd);



	# Rows

	if(count($rsPre)!==0):



		$frg4_id = array(

			'alignment' => array(

				'wrap' => true,

	    		'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,

	    		'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER

			),

			'borders' => array(

				'outline' => array(

					'style' => PHPExcel_Style_Border::BORDER_THIN,

					'color' => array('argb' => '00000000'),

				),

			),

			'font' => array(

				'bold' => true

			)

		);



		$frg4_q = array(

			'alignment' => array(

				'wrap' => true,

	    		'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_LEFT,

	    		'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER

			),

			'borders' => array(

				'outline' => array(

					'style' => PHPExcel_Style_Border::BORDER_THIN,

					'color' => array('argb' => '00000000'),

				),

			),

			'font' => array(

				'bold' => true,

				'size' => 8

			)

		);



		$frg4_r = array(

			'alignment' => array(

				'wrap' => true,

	    		'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_LEFT,

	    		'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER

			),

			'borders' => array(

				'outline' => array(

					'style' => PHPExcel_Style_Border::BORDER_THIN,

					'color' => array('argb' => '00000000'),

				),

			),

			'font' => array(

				'bold' => false,

				'size' => 8

			)

		);



		$contador = 30;

		$totalcalificacion = 0;

		$totalpreguntas = 0;



		for($i=0;$i<count($rsPre);$i++) {



			$contador++;



			$cons = $i+1;

			$Pnombre	=	mb_convert_encoding($rsPre[$i]->nombre,'UTF-8','ISO-8859-1');

			$Ptipo		=	$rsPre[$i]->tipo;

			$Pcampo		=	$rsPre[$i]->campo_id;

			$Pstyle		=	$rsPre[$i]->style;



			$rvalor = "";

			$rsRta = $objEnc->obtenerRespuesta($basedatos,$Pcampo,$_REQUEST["aplica"]);



			if(count($rsRta)>0) {

				if($Ptipo==6 || $Ptipo==3  || $Ptipo==8) {

					$rvalor  =  $rsRta[0]->rtatxt;

				} else {

					$rvalor  =  $rsRta[0]->rtaNum;

				}

			}



			$as->getRowDimension($contador)->setRowHeight(-1);



			// Consecutivo

			$g4r2c1 = "B$contador:C$contador";

			$as->mergeCells($g4r2c1);

			$as->setCellValue("B$contador",$cons);

			$as->getStyle($g4r2c1)->applyFromArray($frg4_id);

			cellColor($g4r2c1,$bg1);



			// Pregunta

			$g4r2c2 = "D$contador:N$contador";

			$as->mergeCells($g4r2c2);

			$as->setCellValue("D$contador",$Pnombre);

			$as->getStyle($g4r2c2)->applyFromArray($frg4_q);

			cellColor($g4r2c2,$bg1);



			// Valor

			$relcampo = 0;

			$rsOpc = $objEnc->obtenerOpcionPreguntaTexto($basedatos,$Pnombre);



			if(trim($rsRta[0]->rta)!="NO APLICA"){



				$Rcalifica = $rsRta[0]->puntaje;



				$hallazgo = mb_convert_encoding($rsRta[0]->rta,'UTF-8','ISO-8859-1');

				$recomendaciones = ($rsRta[0]->recomendacion!=='') ? mb_convert_encoding($rsRta[0]->recomendacion,'UTF-8','ISO-8859-1') : 'SIN RECOMENDACIONES';



				/*

				if($Rcalifica<=3) { // Positive

					$hallazgo = ($rsRta[0]->rta!=='') ? $rsRta[0]->rta : 'NO APLICA';

					$recomendaciones = 'SIN RECOMENDACIONES';

				}



				if($Rcalifica>3 && $Rcalifica<6) {

					$hallazgo = 'NO APLICA';

					$recomendaciones = ($rsRta[0]->rta!=='') ? $rsRta[0]->rta : 'SIN RECOMENDACIONES';

				}



				if($Rcalifica>=6) {

					$hallazgo = 'NO APLICA';

					$recomendaciones = ($rsRta[0]->rta!=='') ? $rsRta[0]->rta : 'SIN RECOMENDACIONES';

				}

				*/



				$totalpreguntas = $totalpreguntas + 1;

				$totalcalificacion = $totalcalificacion + $Rcalifica;



			} else {



				$Rcalifica="NO APLICA";

				$Rcolor="#CCCCCC";

				$RcolorText = NULL;

				$hallazgo = 'NO APLICA';

				$recomendaciones = 'NO APLICA';



			}



			$g4r2c3 = "O$contador:AC$contador";

			$as->mergeCells($g4r2c3);

			$as->setCellValue("O$contador",$hallazgo);

			$as->getStyle($g4r2c3)->applyFromArray($frg4_r);



			$g4r2c4 = "AD$contador:AP$contador";

			$as->mergeCells($g4r2c4);

			$as->setCellValue("AD$contador",$recomendaciones);

			$as->getStyle($g4r2c4)->applyFromArray($frg4_r);



			setHeightRow($contador,70);

			

			unset($g4r2c4,$g4r2c3,$g4r2c2,$g4r2c1,$recomendaciones,$hallazgo,$Pnombre,$Ptipo,$Pcampo,$Pstyle);



		}



		$ct = 30 + count($rsPre) + 3;

		$ctt = $ct + 3; 



		// Tabla de resultados - titulo

			$frrestit = array(

				'alignment' => array(

					'wrap' => true,

		    		'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,

		    		'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER

				),

				'borders' => array(

					'outline' => array(

						'style' => PHPExcel_Style_Border::BORDER_THIN,

						'color' => array('argb' => '00000000'),

					),

				),

				'font' => array(

					'bold' => true,

					'size' => 8

				)

			);



			$resr1c1 = "F$ct:R$ctt";

			$as->mergeCells($resr1c1);

			$as->setCellValue("F$ct","RESULTADOS");

			$as->getStyle($resr1c1)->applyFromArray($frrestit);



			$resr1c2 = "S$ct:V$ctt";

			$as->mergeCells($resr1c2);

			$as->setCellValue("S$ct","PUNTAJE ESPERADO");

			$as->getStyle($resr1c2)->applyFromArray($frrestit);



			$resr1c3 = "W$ct:Y$ctt";

			$as->mergeCells($resr1c3);

			$as->setCellValue("W$ct","%");

			$as->getStyle($resr1c3)->applyFromArray($frrestit);



			$resr1c4 = "Z$ct:AC$ctt";

			$as->mergeCells($resr1c4);

			$as->setCellValue("Z$ct","PUNTAJE OBTENIDO");

			$as->getStyle($resr1c4)->applyFromArray($frrestit);



			$resr1c5 = "AD$ct:AF$ctt";

			$as->mergeCells($resr1c5);

			$as->setCellValue("AD$ct","%");

			$as->getStyle($resr1c5)->applyFromArray($frrestit);



			$resr1c6 = "AG$ct:AK$ctt";

			$as->mergeCells($resr1c6);

			$as->setCellValue("AG$ct","% MEJORAMIENTO");

			$as->getStyle($resr1c6)->applyFromArray($frrestit);



			$grpt = "F$ct:AK$ct";

			cellColor($grpt,'acb9ca');



		// Tabla de resultados - valores

			$ctu = $ctt + 1;

			$ctv = $ctu + 3;



			// Asignacion de variables

			// $promedio_inicial: Valor inicial para calculo

			$promedio_inicial = 460;



			// $puntaje_esperado: $promedio_inicial - $suma_respuestas

			$puntaje_esperado = $promedio_inicial - $totalcalificacion;



			// $porcentaje_inicial = 100%

			$porcentaje_calc_inicial = $porcentaje_inicial = 100;



			// $puntaje_obtenido: sumatoria de las preguntas

			$puntaje_obtenido = $totalcalificacion;



			// $porcentaje_obtenido: Total de preguntas / promedio_inicial * 100

			$porcentaje_obtenido = ($puntaje_obtenido / $promedio_inicial) * 100;

			$porcentaje_obtenido = round($porcentaje_obtenido,2);



			// Resta porcentaje: diferencia entre $porcentaje_incial

			$resta_porcentaje = $porcentaje_calc_inicial - $porcentaje_obtenido;

			$resta_porcentaje = round($resta_porcentaje);



			$resr2c1 = "F$ctu:R$ctv";

			$as->mergeCells($resr2c1);

			$as->setCellValue("F$ctu","LISTA DE CONTROL DE LA DOCUMENTACIÓN PARA INICIO Y SEGUIMIENTO DE CONTRATISTAS");

			$as->getStyle($resr2c1)->applyFromArray($frrestit);



			$resr2c2 = "S$ctu:V$ctv";

			$as->mergeCells($resr2c2);

			$as->setCellValue("S$ctu",$puntaje_esperado);

			$as->getStyle($resr2c2)->applyFromArray($frrestit);



			$resr2c3 = "W$ctu:Y$ctv";

			$as->mergeCells($resr2c3);

			$as->setCellValue("W$ctu",$porcentaje_inicial);

			$as->getStyle($resr2c3)->applyFromArray($frrestit);



			$resr2c4 = "Z$ctu:AC$ctv";

			$as->mergeCells($resr2c4);

			$as->setCellValue("Z$ctu",$puntaje_obtenido);

			$as->getStyle($resr2c4)->applyFromArray($frrestit);



			$resr2c5 = "AD$ctu:AF$ctv";

			$as->mergeCells($resr2c5);

			$as->setCellValue("AD$ctu",$porcentaje_obtenido);

			$as->getStyle($resr2c5)->applyFromArray($frrestit);



			$resr2c6 = "AG$ctu:AK$ctv";

			$as->mergeCells($resr2c6);

			$as->setCellValue("AG$ctu",$resta_porcentaje);

			$as->getStyle($resr2c6)->applyFromArray($frrestit);



			cellColor("F$ctu:AK$ctv",$bg1);



			# Borde de contorno

			$resborder = "F$ct:AK$ctv";

			$as->getStyle($resborder)->applyFromArray(array(

				'borders' => array(

					'outline' => array(

						'style' => PHPExcel_Style_Border::BORDER_DOUBLE,

						'color' => array('argb' => '00000000'),

					),

				),

			));



		// Grafica

			# Punto de inicio

			$igl = $ctv + 3;

			$ige = $igl + 18;



			# Fila de inicio y fin de grafico, donde aparecerá

			$ri = "I$igl";

			$re = "AH$ige";



			# Etiquetas

			$dataSeriesLabels = array(

				new PHPExcel_Chart_DataSeriesValues('String', "$sheet_name!Z$ct", NULL, 1),

				new PHPExcel_Chart_DataSeriesValues('String', "$sheet_name!S$ct", NULL, 1)

			);



			# Valores en X

			$xAxisTickValues = array(

				new PHPExcel_Chart_DataSeriesValues('String', "$sheet_name!\$F\$$ct", NULL, 1),

			);



			# Valores

			$dataSeriesValues = array(

				new PHPExcel_Chart_DataSeriesValues('Number', "$sheet_name!AD$ctu", NULL, 1),

				new PHPExcel_Chart_DataSeriesValues('Number', "$sheet_name!W$ctu", NULL, 1)

			);



			# Construcción de la grafica

			$series = new PHPExcel_Chart_DataSeries(

				PHPExcel_Chart_DataSeries::TYPE_BARCHART,		// plotType

				PHPExcel_Chart_DataSeries::GROUPING_CLUSTERED,	// plotGrouping

				range(0, count($dataSeriesValues)-1),			// plotOrder

				$dataSeriesLabels,								// plotLabel

				$xAxisTickValues,								// plotCategory

				$dataSeriesValues								// plotValues

			);



			$series->setPlotDirection(PHPExcel_Chart_DataSeries::DIRECTION_COL);



			//	Set the series in the plot area

			$plotArea = new PHPExcel_Chart_PlotArea(NULL, array($series));

			//	Set the chart legend

			$legend = new PHPExcel_Chart_Legend(PHPExcel_Chart_Legend::POSITION_TOP, NULL, false);



			$title = new PHPExcel_Chart_Title('CUMPLIMIENTO TOTAL REQUISITOS HSEQ');

			$xAxisLabel = NULL;

			$yAxisLabel = NULL;



			//	Create the chart

			$chart = new PHPExcel_Chart(

				'chart1',		// name

				$title,			// title

				$legend,		// legend

				$plotArea,		// plotArea

				true,			// plotVisibleOnly

				0,				// displayBlanksAs

				$xAxisLabel,	// xAxisLabel

				$yAxisLabel		// yAxisLabel

			);



			//	Set the position where the chart should appear in the worksheet

			$chart->setTopLeftPosition($ri);

			$chart->setBottomRightPosition($re);



			//	Add the chart to the worksheet

			$as->addChart($chart);



		// Tabla de referencia

		$tblr = $ige + 3;



		$g5r1c1 = "F$tblr:AK$tblr";

		$as->mergeCells($g5r1c1);

		$as->setCellValue("F$tblr",'RESULTADO DE LA EVALUACIÓN');

		$as->getStyle($g5r1c1)->applyFromArray(array(

			'font' => array(

				'bold' => true,

				'size' => 12

			),

			'borders' => array(

				'outline' => array(

					'style' => PHPExcel_Style_Border::BORDER_THIN,

					'color' => array('argb' => '00000000'),

				),

			),

			'alignment' => array(

				'wrap' => true,

	    		'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,

	    		'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER

			),

		));

		cellColor($g5r1c1,$bg1);

		setHeightRow($tblr, 30);



		$c1 = $tblr + 1;

		$cc1 = $c1 + 1;

		

		$c2 = $tblr + 3;

		$cc2 = $c2 + 1;

		

		$c3 = $tblr + 5;

		$cc3 = $c3 + 1;



		$c4 = $tblr + 7;

		$cc4 = $c4 + 1;



		$frintv = array(

			'alignment' => array(

				'wrap' => true,

	    		'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_LEFT,

	    		'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER

			),

			'borders' => array(

				'outline' => array(

					'style' => PHPExcel_Style_Border::BORDER_THIN,

					'color' => array('argb' => '00000000'),

				),

			),

			'font' => array(

				'bold' => true,

				'size' => 8

			)

		);



		# Fila 1

			$g5r2c1 = "F$c1:M$cc1";

			$as->mergeCells($g5r2c1);

			$as->setCellValue("F$c1","% CUMPLIMIENTO");

			$as->getStyle($g5r2c1)->applyFromArray($frrestit);

			cellColor($g5r2c1,$bg1);



			$g5r2c2 = "N$c1:U$cc1";

			$as->mergeCells($g5r2c2);

			$as->setCellValue("N$c1","EVALUACIÓN");

			$as->getStyle($g5r2c2)->applyFromArray($frrestit);

			cellColor($g5r2c2,$bg1);



			$g5r2c3 = "V$c1:AK$cc1";

			$as->mergeCells($g5r2c3);

			$as->setCellValue("V$c1","INTERPRETACIÓN");

			$as->getStyle($g5r2c3)->applyFromArray($frrestit);

			cellColor($g5r2c3,$bg1);



		# Fila 2

			$g5r3c1 = "F$c2:M$cc2";

			$as->mergeCells($g5r3c1);

			$as->setCellValue("F$c2","90% - 100%");

			$as->getStyle($g5r3c1)->applyFromArray($frrestit);

			cellColor($g5r3c1,'76933C');



			$g5r3c2 = "N$c2:U$cc2";

			$as->mergeCells($g5r3c2);

			$as->setCellValue("N$c2","APROBADO");

			$as->getStyle($g5r3c2)->applyFromArray($frrestit);



			$g5r3c3 = "V$c2:AK$cc2";

			$as->mergeCells($g5r3c3);

			$as->setCellValue("V$c2","EL CONTRATISTA SE ENCUENTRA EN MEJORAMIENTO CONTINUO");

			$as->getStyle($g5r3c3)->applyFromArray($frintv);



		# Fila 3

			$g5r4c1 = "F$c3:M$cc3";

			$as->mergeCells($g5r4c1);

			$as->setCellValue("F$c3","65% - 89%");

			$as->getStyle($g5r4c1)->applyFromArray($frrestit);

			cellColor($g5r4c1,'FFFF00');



			$g5r4c2 = "N$c3:U$cc3";

			$as->mergeCells($g5r4c2);

			$as->setCellValue("N$c3","CONDICIONAL");

			$as->getStyle($g5r4c2)->applyFromArray($frrestit);



			$g5r4c3 = "V$c3:AK$cc3";

			$as->mergeCells($g5r4c3);

			$as->setCellValue("V$c3","EL CONTRATISTA DEBERÁ PRESENTAR PLAN DE MEJORA DE LOS ASPECTOS DÉBILES. SI NO CUMPLE SERÁ RECHAZADO");

			$as->getStyle($g5r4c3)->applyFromArray($frintv);



		# Fila 4

			$g5r5c1 = "F$c4:M$cc4";

			$as->mergeCells($g5r5c1);

			$as->setCellValue("F$c4","0% - 64%");

			$as->getStyle($g5r5c1)->applyFromArray($frrestit);

			cellColor($g5r5c1,'FF0000');



			$g5r5c2 = "N$c4:U$cc4";

			$as->mergeCells($g5r5c2);

			$as->setCellValue("N$c4","NO APROBADO");

			$as->getStyle($g5r5c2)->applyFromArray($frrestit);



			$g5r5c3 = "V$c4:AK$cc4";

			$as->mergeCells($g5r5c3);

			$as->setCellValue("V$c4","EL CONTRATISTA NO CUMPLE");

			$as->getStyle($g5r5c3)->applyFromArray($frintv);



		// Espacio para firmas

		$cf = $cc4 + 7;

		$cf1 = $cf + 1;



		$g6r1c1 = "H$cf:S$cf";

		$as->mergeCells($g6r1c1);

		$as->getStyle($g6r1c1)->applyFromArray(

			array(

				'borders' => array(

					'bottom' => array(

						'style' => PHPExcel_Style_Border::BORDER_THIN,

						'color' => array('argb' => '00000000'),

					),

				),

			)

		);



		$g6r2c1 = "H$cf1:S$cf1";

		$as->mergeCells($g6r2c1);

		$as->setCellValue("H$cf1","FIRMA ENTREVISTADO DE LA EMPRESA");

		$as->getStyle($g6r2c1)->applyFromArray(array(

			'alignment' => array(

				'wrap' => true,

	    		'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,

	    		'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER

			),

			'font' => array(

				'size' => 8,

				'bold' => true

			)

		));



		//



		$g6r1c2 = "X$cf:AJ$cf";

		$as->mergeCells($g6r1c2);

		$as->getStyle($g6r1c2)->applyFromArray(

			array(

				'borders' => array(

					'bottom' => array(

						'style' => PHPExcel_Style_Border::BORDER_THIN,

						'color' => array('argb' => '00000000'),

					),

				),

			)

		);

		$as->mergeCells($g6r1c2);



		$g6r2c2 = "X$cf1:AJ$cf1";

		$as->mergeCells($g6r2c2);

		$as->setCellValue("X$cf1","FIRMA ASESOR - PROVEEDOR RESPONSABLE");

		$as->getStyle($g6r2c2)->applyFromArray(array(

			'alignment' => array(

				'wrap' => true,

	    		'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,

	    		'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER

			),

			'font' => array(

				'size' => 8,

				'bold' => true

			)

		));



		$as->setPrintGridlines(false);



	else:



		$g4r2c1 = 'B30:AP34';

		$as->mergeCells($g4r2c1);

		$as->getStyle($g4r2c1)->applyFromArray($frg4a);

		cellColor('B30:AP34',$bg1);		

		$as->setCellValue('B30','No se encontraron preguntas resueltas en esta encuesta, para rellenar realicelo desde la aplicación.');



	endif;



	$as->getProtection()->setSheet(true);

	$as->getProtection()->setSort(true);

	$as->getProtection()->setInsertRows(true);

	$as->getProtection()->setFormatCells(true);

	$as->getProtection()->setPassword('idendata');



	$as->setShowGridlines(false);



	$x->getSecurity()->setLockWindows(true);

	$x->getSecurity()->setLockStructure(true);

	$x->getSecurity()->setWorkbookPassword('idendata');



	$xf = 'Informe '.$Rnombre.' '.date('Y-m-d H:i:s').'.xlsx';



	// Redirect output to a client’s web browser (Excel2007)

	header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');

	header('Content-Disposition: attachment;filename="'.$xf.'"');

	header('Cache-Control: max-age=0');

	// If you're serving to IE 9, then the following may be needed

	header('Cache-Control: max-age=1');



	// If you're serving to IE over SSL, then the following may be needed

	header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past

	header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified

	header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1

	header ('Pragma: public'); // HTTP/1.0



	$xlsx = PHPExcel_IOFactory::createWriter($x, 'Excel2007');

	$xlsx->setIncludeCharts(true);

	$xlsx->save('php://output');



?>