<?php



	require_once('../clases/tcpdf/tcpdf.php');



	// Incluir HTML de datos...

	$url = 'http://54.71.6.102/arlsegurosbolivar.com/visitadiagnostica/forma/forma_encuesta.php?aplica_id='.$_REQUEST['aplica_id'].'&ro=yes&rpdf=1';

	$fpx = curl_init();

	$opt = array(

		CURLOPT_URL => $url,

		CURLOPT_RETURNTRANSFER => 1

	);

	curl_setopt_array($fpx, $opt);

	$data = curl_exec($fpx);

	curl_close($fpx);



	// Create new PDF document

	$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

	$pdf->SetPrintHeader(false);

	$pdf->SetPrintFooter(false);



	// set default monospaced font

	$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);



	// set margins

	$pdf->SetMargins(0, 0, 0);

	$pdf->SetHeaderMargin(0);

	$pdf->SetFooterMargin(0);



	// set auto page breaks

	$pdf->SetAutoPageBreak(TRUE, 0);



	// set image scale factor

	$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);



	// set some language-dependent strings (optional)

	if (@file_exists(dirname(__FILE__).'/lang/eng.php')) {

	    require_once(dirname(__FILE__).'/lang/eng.php');

	    $pdf->setLanguageArray($l);

	}



	// ---------------------------------------------------------



	// set font

	$pdf->SetFont('dejavusans', '', 10);



	// add a page

	$pdf->AddPage();

	$pdf->writeHTML(utf8_encode($data), true, 0, true, true);

	$pdf->lastPage();



	// ---------------------------------------------------------



	//Close and output PDF document

	$pdf->Output('VDX_'.date('Ymd_His').'.pdf', 'D');



?>