<?php
class centro_trabajo{
	
	function obtenerCentroTrabajo($bd,$acc,$condicion){	
		if($acc=="indx"){
			$query="select centro_id, nombre "
			." from gs_centro"
			." where cliente_id=".$condicion
			." order by nombre asc ";
		}	
		if($acc=="impc"){
			$query="select centro_id as dominio_id, nombre "
			." from gs_centro"
			." where cliente_id=".$condicion
			." order by nombre asc ";
		}
		if($acc=="ind"){
			$query="select nombre, actividad, cant, direccion, telefono, fax,  dpto, municipio, zona "
			.", contacto_cedula, contacto_nombre, contacto_cargo, contacto_tel, contacto_fax "
			.", contacto_correo"
			." from gs_centro"
			." where centro_id=".$condicion
			." order by nombre asc ";
		}			
		if($acc=="all"){
			$query="select centro_id, nombre "
			.", (select count(1) from gs_empleado where centro_trabajo = gs_centro.centro_id) as cempleado"
			.", (select count(1) from gs_accidente where empleado_id in (select empleado_id from gs_empleado where gs_centro.centro_id = gs_empleado.centro_trabajo ) ) as caccidentes"
			.", (select count(1) from gs_incidente where empleado_id in (select empleado_id from gs_empleado where gs_centro.centro_id = gs_empleado.centro_trabajo ) ) as cincidentes"
			.", (select count(1) from gs_enfermedad where empleado_id in (select empleado_id from gs_empleado where gs_centro.centro_id = gs_empleado.centro_trabajo ) ) as cenfermedades"
			.", (select count(1) from  gs_ausentismo where empleado_id in (select empleado_id from gs_empleado where gs_centro.centro_id = gs_empleado.centro_trabajo ) ) as causentismo"			
			.", (select SUM(dia_perdidos) from gs_accidente where empleado_id in (select empleado_id from gs_empleado where gs_centro.centro_id = gs_empleado.centro_trabajo ) ) as cdia_perdidos"
			." from gs_centro"
			." where centro_id>0".$condicion
			." order by nombre asc ";
		}			
		if($acc=="imp"){
			$query="select actividad, direccion, telefono, fax, dpto, municipio "
			.", (select upper(nombre) from gs_dominio where tipo='ZONA' and dominio_id=gs_centro.zona) as zona_txt "
			.", (select distinct upper(dpto) from gs_departamentos where cod_dpto=gs_centro.dpto) as dpto_txt "
			.", (select upper(mun) from gs_departamentos where cod_mun=gs_centro.municipio) as municipio_txt "
			.", (select upper(nombre) from gs_dominio where tipo='ACTIVIDAD_EMPRESA' and codigo=gs_centro.actividad) as actividad_txt "
			." from gs_centro"
			." where centro_id=".$condicion;
		}			
		return  $bd->loadObjectList($query);		
	}	
	
	function registrarCentro($bd,$acc,$id,$form){
		$query="";
		if($acc=="ix"){
			$query="insert into gs_centro(nombre, actividad, cant, direccion, telefono, fax "
			.", dpto, municipio, zona, contacto_cedula, contacto_nombre, contacto_cargo "
			.", contacto_tel, contacto_fax, contacto_correo, cliente_id) "
			." values('".trim($form["nombre"])
			. "','" .trim($form["actividad"])
			. "','" .trim($form["cant"])
			. "','" .trim($form["direccion"])
			. "','" .trim($form["telefono"]) 
			. "','" .trim($form["fax"]) 
			. "','" .trim($form["dpto"])
			. "','" .trim($form["municipio"])
			. "','" .trim($form["zona"])
			. "','" .trim($form["contacto_cedula"])
			. "','" .trim($form["contacto_nombre"])
			. "','" .trim($form["contacto_cargo"])
			. "','" .trim($form["contacto_tel"])
			. "','" .trim($form["contacto_fax"])
			. "','" .trim($form["contacto_correo"])
			. "'," .trim($id) .")";
		}
		if($acc=="ux"){
			$query=" update gs_centro set " 
			. " nombre 		= '" .trim($form["nombre"]) . "'"
			. ", actividad 		= '" .trim($form["actividad"]) . "'"
			. ", cant		 		= '" .trim($form["cant"]) . "'"
			. ", direccion 		= '" .trim($form["direccion"]) . "'"
			. ", telefono		= '" .trim($form["telefono"]) . "'" 
			. ", fax				= '" .trim($form["fax"]) . "'" 
			. ", dpto			= '" .trim($form["dpto"]) . "'"
			. ", municipio		= '" .trim($form["municipio"]) . "'"
			. ", zona			= '" . trim($form["zona"]) . "'"
			. ", contacto_cedula	= '" . trim($form["contacto_cedula"]) . "'"			
			. ", contacto_nombre	= '" . trim($form["contacto_nombre"]) . "'"
			. ", contacto_cargo	= '" . trim($form["contacto_cargo"]) . "'"
			. ", contacto_tel		= '" . trim($form["contacto_tel"]) . "'"
			. ", contacto_fax		= '" . trim($form["contacto_fax"]) . "'"
			. ", contacto_correo	= '" . trim($form["contacto_correo"]) . "'"
			." where centro_id	= ".$id;
		}					
		return  $bd->sqlquery($query);
	}
	function obtenerTotalEstadisticoEmpresa($bd,$id){	
		$query="select cli.nombre "
		.", (select count(1) from gs_empleado where cliente_id=cli.cliente_id) as cempleados "
		.", (select count(1) from gs_accidente where empleado_id in (select empleado_id from gs_empleado where cliente_id=cli.cliente_id ) ) as caccidentes"
		.", (select count(1) from gs_incidente where empleado_id in (select empleado_id from gs_empleado where cliente_id=cli.cliente_id ) ) as cincidentes"
		.", (select count(1) from gs_enfermedad where empleado_id in (select empleado_id from gs_empleado where cliente_id=cli.cliente_id ) ) as cenfermedades"
		.", (select count(1) from  gs_ausentismo where empleado_id in (select empleado_id from gs_empleado where cliente_id=cli.cliente_id ) ) as causentismo"			
		.", (select SUM(dia_perdidos) from gs_accidente where empleado_id in (select empleado_id from gs_empleado where cliente_id=cli.cliente_id ) ) as cdperdidos"
		." from gs_cliente as cli "
		." where cliente_id=".$id;
		return  $bd->loadObjectList($query);		
	}	
	
}
?>