<?php
class plan{

	function obtenerPlan($bd,$condicion){
		$query="select plan_id, fecha, descripcion "
		.", (select count(*) from  gs_accidente_actividad where plan_id = gs_accidente_plan.plan_id) as cact"
		.", (select count(*) from   gs_accidente_reflexion where plan_id = gs_accidente_plan.plan_id) as cref"
		." from gs_accidente_plan"
		." where plan_id>0".$condicion;
		//echo "<br>".$query;
		return  $bd->loadObjectList($query);
	}

	function registrarPlan($bd,$acc,$id,$form){
		$query="";
		if($acc=="ix"){
			$query="insert into gs_accidente_plan(fecha, descripcion, accidente_id) "
			." values(now(),'".trim($form["descripcion"])."',".trim($id).")";
		}
		if($acc=="ux"){
			$query=" update gs_accidente_plan set "
			. " descripcion 	= '" .trim($form["descripcion"]) . "'"
			." where plan_id	= ".$id;
		}
		//return  $bd->sqlquery($query);
		return  $bd->sqlquery(utf8_decode ($query));
	}

	function obtenerActividad($bd,$acc,$condicion){
		if($acc=="ind"){
			$query="select tipo, descripcion, responsable, estado, prioridad  "
			.", day(fecha_inicio) as dia_ini"
			.", month(fecha_inicio) as mes_ini"
			.", year(fecha_inicio) as ano_ini"
			.", day(fecha_final) as dia_fin"
			.", month(fecha_final) as mes_fin"
			.", year(fecha_final) as ano_fin"
			." from gs_accidente_actividad"
			." where actividad_id=".$condicion;
		}
		if($acc=="all"){
			 $query="select actividad_id, descripcion, fecha_inicio, fecha_final, responsable "
			.", case when tipo='1' then 'Preventiva' when tipo='2' then 'Correctivo' end as tipo_txt"
			.", (select nombre from gs_dominio2 where tipo='PRIORIDAD_ACTIVIDAD' and dominio_id=gs_accidente_actividad.prioridad) as priori_txt"
			.", (select nombre from gs_dominio2 where tipo='ESTADO_ACTIVIDAD' and dominio_id=gs_accidente_actividad.estado) as estado_txt"
			." from gs_accidente_actividad"
			." where plan_id>0".$condicion;
		}
		//echo "<br>".$query;
		return  $bd->loadObjectList($query);
	}

	function registrarActividad($bd,$acc,$id,$form){
		$query="";
		if($acc=="ix"){
			$query="insert into gs_accidente_actividad(tipo, descripcion, fecha_inicio, fecha_final, responsable "
			.", prioridad, estado, plan_id ) "
			." values('".trim($form["tipo"])
			. "','" .trim($form["descripcion"])
			. "','" .trim($form["ano_ini"] ."-".$form["mes_ini"]."-".$form["dia_ini"])
			. "','" .trim($form["ano_fin"] ."-".$form["mes_fin"]."-".$form["dia_fin"])
			. "','" .trim($form["responsable"])
			. "','" .trim($form["prioridad"])
			. "','" .trim($form["estado"])
			. "'," .trim($id) .")";
		}
		if($acc=="ux"){
			$query=" update gs_accidente_actividad set "
			. "  tipo 				= '" .trim($form["tipo"]) . "'"
			. ", descripcion 	= '" .trim($form["descripcion"]) . "'"
			. ", fecha_inicio	= '" .trim($form["ano_ini"] ."-".$form["mes_ini"]."-".$form["dia_ini"]). "'"
			. ", fecha_final	= '" .trim($form["ano_fin"] ."-".$form["mes_fin"]."-".$form["dia_fin"]). "'"
			. ", responsable = '" .trim($form["responsable"]) . "'"
			. ", prioridad 		= '" .trim($form["prioridad"]) . "'"
			. ", estado 		= '" .trim($form["estado"]) . "'"
			." where actividad_id	= ".$id;
		}
		//echo $query;
		//return  $bd->sqlquery($query);
		return  $bd->sqlquery(utf8_decode ($query));
	}

	function obtenerAllReflexion($bd,$idx){
		$query="select reflexion_id, descripcion "
		." from gs_accidente_reflexion"
		." where plan_id=".$idx;
		//echo "<br>".$query;
		return  $bd->loadObjectList($query);
	}

	function obtenerIndReflexion($bd,$idx){
		$query="select descripcion "
		." from gs_accidente_reflexion"
		." where reflexion_id=".$idx;
		//echo "<br>".$query;
		return  $bd->loadObjectList($query);
	}


	function registrarReflexion($bd,$acc,$id,$form){
		$query="";
		if($acc=="ix"){
			$query="insert into gs_accidente_reflexion(descripcion, plan_id ) "
			." values('" .trim($form["descripcion"]). "'," .trim($id) .")";
		}
		if($acc=="ux"){
			$query=" update gs_accidente_reflexion set "
			. " descripcion 	= '" .trim($form["descripcion"]) . "'"
			." where reflexion_id= ".$id;
		}
		//return  $bd->sqlquery($query);
		return  $bd->sqlquery(utf8_decode ($query));
	}

	function obtenerSeguimientoPlanAccidente($bd,$condicion){
		$query="SELECT emp.empleado_id, emp.identificacion, concat( if(emp.apellido1 is NULL,'',emp.apellido1),' ', if(emp.apellido2 is NULL,'',emp.apellido2), ' ', if(emp.nombre1 is NULL,'',emp.nombre1), ' ', if(emp.nombre2 is NULL,'',emp.nombre2))  as nombre_completo, cen.nombre as centro_trabajo "
		.", acc.accidente_id, plan.plan_id, plan.fecha as fechap, plan.descripcion as descripcionp "
		.", case when act.tipo=1 then 'Preventiva' when act.tipo=2 then 'Correctivo' end as tipo_txt "
		.", act.descripcion as descripciona, act.fecha_inicio, act.fecha_final, act.responsable "
		.",(SELECT nombre from gs_dominio2 WHERE tipo='PRIORIDAD_ACTIVIDAD' and dominio_id = act.prioridad ) as prioridadtxt "
		.",(SELECT nombre from gs_dominio2 WHERE tipo='ESTADO_ACTIVIDAD' and dominio_id = act.estado) as estadotxt "
		." FROM gs_accidente_plan as plan"
		." INNER JOIN gs_accidente_actividad as act ON plan.plan_id = act.plan_id"
		." INNER JOIN gs_accidente as acc ON plan.accidente_id = acc.accidente_id "
		." INNER JOIN gs_empleado as emp ON acc.empleado_id = emp.empleado_id "
		." INNER JOIN gs_centro as cen ON cen.centro_id = emp.centro_trabajo "
		." WHERE emp.cliente_id=".$_SESSION["cliente"].$condicion;
		return  $bd->loadObjectList($query);
	}

}
?>
