<?php 



	require_once('../configuracion.php');

	require_once('../clases/cliente.class.php');

	require_once('../clases/encuesta.class.php');

	require_once('../clases/centro.class.php');



	$objEnc = new encuesta();

	$objCen = new centro();

	$objCli = new cliente();



	// Recuperar informacion de la empresa contratante

	$ap = $basedatos->loadObjectList("SELECT * FROM svial_aplicacion WHERE aplica_id='".$_REQUEST['aplica']."'");



	$Rnit			= $ap[0]->nit;

	$Rnombre 		= $ap[0]->nombre;

	$Rtelefono		= $ap[0]->telefono;

	$Rcelular		= $ap[0]->celular;

	$Rcontacto		= $ap[0]->contacto;

	$Remail			= $ap[0]->email;

	$Rcargo			= $ap[0]->cargo;

	$Rdireccion		= $ap[0]->direccion;

	$Rciudad		= $ap[0]->ciudad;



	// Obtiene la lista de resultados de evaluación

	$rsPre = $objEnc->obtenerCampo($basedatos,$ap[0]->encuesta_id);



	if($Rdpto!==''):

		$lsd = $basedatos->loadObjectList("SELECT dpto FROM gs_departamentos WHERE cod_dpto='".$Rdpto."'");

	endif;



	if($Rmunicipio!==''):

		$lsm = $basedatos->loadObjectList("SELECT mun FROM gs_departamentos WHERE cod_mun='".$Rmunicipio."'");

	endif;



	// Incluir phpExcel

	include '../clases/phpexcel/Classes/PHPExcel.php';

	$x = new PHPExcel();



	// Funciones

	function cellColor($cells,$color){

        global $x;

        $x->getActiveSheet()->getStyle($cells)->getFill()

        ->applyFromArray(

        	array(

				'type' => PHPExcel_Style_Fill::FILL_SOLID,

				'startcolor' => array(

					'rgb' => $color

				)

        	)

        );

    }



    function setHeightRow($row,$height) {

    	global $x;

    	$x->getActiveSheet()->getRowDimension($row)->setRowHeight($height);

    }

	// Fin funciones



	// Establecer propiedades

	$x->getProperties()->setCreator("IDENDATA Software")

						->setLastModifiedBy("IDENDATA Software")

						->setSubject("SELECCIÓN, MONITOREO, EVALUACIÓN Y CONTROL DE CONTRATISTAS")

						->setDescription("SELECCIÓN, MONITOREO, EVALUACIÓN Y CONTROL DE CONTRATISTAS")

						->setKeywords("resultados");



	// Trabajar sobre hoja activa

	$x->setActiveSheetIndex(0);

	$as = $x->getActiveSheet();

	$as->getDefaultStyle()->getFont()->setName('Arial');

	$as->getDefaultStyle()->getFont()->setSize(10);



	// Establecer el titulo de la hoja

	$sheet_name = 'Resultados';

	$as->setTitle($sheet_name);



	// Establecer el ancho de columnas

	$as->getColumnDimension('A')->setWidth(10.71);

	$as->getColumnDimension('B')->setWidth(46.29);

	$as->getColumnDimension('C')->setWidth(74.43);

	$as->getColumnDimension('D')->setWidth(10.71);

	$as->getColumnDimension('E')->setWidth(10.71);



	$as->mergeCells('B1:E1');

	$as->setCellValue('B1',"AUTO-REPORTE\nSISTEMA DE GESTION DE SEGURIDAD Y SALUD EN EL TRABAJO PARA LAS EMPRESAS");

	$as->getStyle('B1:E1')->applyFromArray(array(

		'font' => array(

			'size' => 20,

			'bold' => true

		),

		'alignment' => array(

			'wrap' => true,

    		'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER,

    		'vertical' => PHPExcel_Style_Alignment::VERTICAL_CENTER

		),

		'borders' => array(

			'outline' => array(

				'style' => PHPExcel_Style_Border::BORDER_THIN,

				'color' => array('argb' => '00000000'),

			),

		),

	));



	$as->setCellValue('A4','Ciclo PHVA');

	$as->setCellValue('B4','Concepto');

	$as->setCellValue('C4','SI');

	$as->setCellValue('D4','NO');



	// Listar las preguntas con categorias

	$lsq = "SELECT svial_campos.nombre, svial_campos.categoria_id, svial_campos.categoria_id, mto_categorias.nombre AS nombre_categoria FROM svial_campos 

	LEFT JOIN mto_categorias ON svial_campos.categoria_id = mto_categorias.categoria_id";



	$il = 5;

	foreach($lsq as $k => $c):



		$inic = $k;

		$cell_i1 = "A$il";

		$cell_i2 = "B$il";

		$cell_i3 = "C$il";

		$cell_i4 = "D$il";



		$as->SetCellValue($cell_i1,$c->nombre_categoria);

		$as->SetCellValue($cell_i2,$c->nombre);

		$as->SetCellValue($cell_i3,$answer_yes);

		$as->SetCellValue($cell_i3,$answer_no);



		$il++;



		unset($cell_i1,$cell_i2,$cell_i3,$cell_i14,$answer_yes,$answer_no);



	endforeach;





?>