<?php

	error_reporting(E_ALL && ~E_NOTICE);
	if($_REQUEST['pdf'] == '1'):

		include 'pdf_gen.php';
		exit;

	endif;

	header("Cache-Control: no-cache, no-store, must-revalidate"); // HTTP 1.1.
	header("Pragma: no-cache"); // HTTP 1.0.
	header("Expires: 0"); // Proxies.

	require_once('../configuracion.php');
	require_once('../clases/cliente.class.php');
	require_once('../clases/encuesta.class.php');
	require_once('../clases/centro.class.php');
	require_once('../clases/dominio.class.php');

	$objEnc = new encuesta();
	$objCen = new centro();
	$objCli = new cliente();
	$objDom = new dominio();

	if($_SERVER['REQUEST_METHOD'] == 'POST') {

		require_once('../clases/vdx.class.php');
		$vdx = new vdx($basedatos);

		if($_POST['is_draft'] == '1'):
			$res = $vdx->setVDX($_POST, $_POST['aplica_id'],1);
			$location = 'forma_aplicaciones.php?sess='.md5(time());
		else:
			$res = $vdx->setVDX($_POST, $_POST['aplica_id']);
			$location = $_SERVER['PHP_SELF'].'?aplica_id='.$_POST['aplica_id'].'&sess='.md5(time());
		endif;

		echo '<script type="text/javascript">';
		echo 'location.href="'.$location.'";';
		echo '</script>';
		exit;

	} else {

		// Recuperar datos de la aplicacion
		$ap = $basedatos->loadObjectList("SELECT * FROM svial_aplicacion WHERE aplica_id='".$_REQUEST['aplica_id']."'");
		$cli = $basedatos->loadObjectList("SELECT nit FROM gs_cliente WHERE cliente_id='".$ap[0]->cliente_id."'");
		$default_option = '<option value="">-Seleccione-</option>';
		$lsc = $basedatos->loadObjectList("SELECT nombre, categoria_id FROM mto_categorias");

		$data_matrix0 = preg_replace('!s:(\d+):"(.*?)";!e', "'s:'.strlen('$2').':\"$2\";'",$ap[0]->matriz_acc0);
		$data_matrix1 = preg_replace('!s:(\d+):"(.*?)";!e', "'s:'.strlen('$2').':\"$2\";'",$ap[0]->matriz_acc1);
		$data_matrix2 = preg_replace('!s:(\d+):"(.*?)";!e', "'s:'.strlen('$2').':\"$2\";'",$ap[0]->matriz_acc2);
		$data_matrix3 = preg_replace('!s:(\d+):"(.*?)";!e', "'s:'.strlen('$2').':\"$2\";'",$ap[0]->matriz_acc3);

		$matrix_acc0 = unserialize($data_matrix0);
		$matrix_acc1 = unserialize($data_matrix1);
		$matrix_acc2 = unserialize($data_matrix2);
		$matrix_acc3 = unserialize($data_matrix3);

		$rpd = array('Mortal','I.P.P.','Invalidez','Incapacidad temporal','Sin incapacidad');

		// Validacion por ingreso nuevo
		// Obtener la ultima visita diagnostica ordenada recientemente
		
		$lsuv = $basedatos->loadObjectList("SELECT * FROM svial_aplicacion WHERE 
		cliente_id=(SELECT cliente_id FROM gs_cliente WHERE nit='".$_SESSION['nit']."')
		AND editable='0' AND diligencia='1'	ORDER BY fregistro DESC");

		if(count($lsuv)>0) {

			if($ap[0]->ciudad_diligenciamiento == '') { $ap[0]->ciudad_diligenciamiento = $lsuv[0]->ciudad_diligenciamiento; }
			if($ap[0]->dpto_diligenciamiento == '') { $ap[0]->dpto_diligenciamiento = $lsuv[0]->dpto_diligenciamiento; }
			if($ap[0]->fafiliacion == ''){ $ap[0]->fafiliacion = $lsuv[0]->fafiliacion; }
			if($ap[0]->direccion == ''){ $ap[0]->direccion = $lsuv[0]->direccion; }
			if($ap[0]->nombre == ''){ $ap[0]->nombre = $lsuv[0]->nombre; }
			if($ap[0]->ciudad == ''){ $ap[0]->ciudad = $lsuv[0]->ciudad; }
			if($ap[0]->telefono == ''){ $ap[0]->telefono = $lsuv[0]->telefono; }
			if($ap[0]->email == ''){ $ap[0]->email = $lsuv[0]->email; }
			if($ap[0]->actividad == ''){ $ap[0]->actividad = $lsuv[0]->actividad; }
			if($ap[0]->tasa_cotizacion == ''){ $ap[0]->tasa_cotizacion = $lsuv[0]->tasa_cotizacion; }
			if($ap[0]->antiguedad == ''){ $ap[0]->antiguedad = $lsuv[0]->antiguedad; }
			if($ap[0]->contacto_nombre == ''){ $ap[0]->contacto_nombre = $lsuv[0]->contacto_nombre; }
			if($ap[0]->contacto_cargo == ''){ $ap[0]->contacto_cargo = $lsuv[0]->contacto_cargo; }

		}

	}

	if(count($ap)>0) {

		// Obtiene la lista de resultados de evaluaci�n
		$rsPre = $objEnc->obtenerCampo($basedatos,$ap[0]->encuesta_id);
		$show = 1;

	} else {

		$show = 0;

	}

?>
<!DOCTYPE html>
<html>
<head>
<title><?php echo $const_nombre_aplicativo; ?></title>
<meta http-equiv="imagetoolbar" content="no" />
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<?php if(!isset($_REQUEST['rpdf'])): ?>
<link rel="stylesheet" type="text/css" href="../css/admon.css">
<link rel="stylesheet" href="js/ui/jquery-ui.min.css">
<!--[if lt IE 9]>
	<script src="html5.js"></script>
<![endif]-->
<script src="js/jquery-1.11.2.min.js"></script>
<script src="js/jquery-migrate-1.2.1.min.js"></script>
<script src="js/ui/jquery-ui.min.js"></script>
<script type="text/javascript">

	var sumemp = function() {

		var vi, vt = 0;
		if($("input[name='empleados_admin']").val() == '') { vi = 0; } else { vi = parseInt($("input[name='empleados_admin']").val()); }
		if($("input[name='empleados_operativos']").val() == '') { vt = 0; } else { vt = parseInt($("input[name='empleados_operativos']").val()); }

		var sum = vi + vt;
		$("input[name='empleados_total']").val(sum);

	}

	$(document).ready(function() {

		$(".tabs > li").each(function() {

			$(this).click(function() {

				var td = $(this).attr('data-tab');
				$(".tabs > li.selected").removeClass('selected');
				$(".tab_content").attr('hidden','hidden').css('display','none');
				$("#tab"+td).removeAttr('hidden').removeAttr('style');
				$("ul.tabs > li[data-tab='"+td+"']").addClass('selected');
				return false;

			});

		});

		if($("#prn_pdf").length!==0) {

			$("#prn_pdf").click(function() {
				location.href = "<?php echo $_SERVER['PHP_SELF'] ?>?aplica_id=<?php echo $_REQUEST['aplica_id'] ?>&ro=yes&nit=<?php echo $_REQUEST['nit'] ?>&pdf=1"
			});

		}

		function validateEmail(email) {
			var re = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;
			return re.test(email);
		}

		function roundToTwo(num) {    
			return +(Math.round(num + "e+2")  + "e-2");
		}

		function getGraph(vdx) {

			$.ajax({
				url : 'graph_direct.php',
				type : 'POST',
				data : {
					vdx : vdx
				},
				dataType : 'html',
				success : function(r) {
					console.log(r);
					if($(".graph_advanced").length==0) {
						$('<div class="graph_advanced">'+r+'</div>').appendTo(".advance_gral");
					} else {
						$(".graph_advanced").empty().html(r);
					}
				}
			});

		}

		function getProgress() {

			// Buscar el total de selectores con opcion
			var sl = $("select.field_option option[value!='']:selected").length;
			var st = $("select.field_option").length;

			var prc = (sl/st);
			var prcm = roundToTwo(prc) * 100;

			if($(".advance_gral").length==0) {
				$("body").append('<div class="advance_gral"><span>Porcentaje completado de esta visita: '+prcm+'%</span> <div id="preload_vd"></div></div>');
			} else {
				$(".advance_gral > span").html('Porcentaje completado de esta visita: '+prcm+'%');
			}

			$("#preload_vd").progressbar({
				value: prcm
			});
			//getGraph($("input[name='aplica_id']").val());

		}

		$("form[name='form1']").submit(function() {

			<?php if($ap[0]->editable == '1'): ?>
			var cnt = [];

			// Pagina 1
			// Fase 1
			if($("#ciudad_diligenciamiento").val() == '') { cnt.push('- Escriba la ciudad de diligenciamiento.'); } 
			if($("#dpto_diligenciamiento").val() == '') { cnt.push('- Escriba el departamento de diligenciamiento.'); }
			if($("select[name='tipo_visita'] option:selected").val() == '') { cnt.push('- Elija el tipo de visita.'); }
			if($("#responsable_id option:selected").val() == '') { cnt.push('- Elija el responsable de levantar la informaci\363n.'); }
			if($("#fentrevista").val() == '') { cnt.push('- Elija la fecha de la entrevista.'); }
			if($("#sector_economico option:selected").val() == '') { cnt.push('- Elija el sector econ\363mico.'); }
			if($("#persona_entrevistada").val() == '') { cnt.push('- Escriba el nombre de la persona entrevistada.'); }
			if($("#cargo").val() == ''){ cnt.push('- Escriba el cargo.'); }

			// Fase 2
			if($("#fafilicacion").val() == '') { cnt.push('- Elija la fecha en la cual se afili\363 a la ARL.'); }
			if($("#nombre").val() == ''){ cnt.push('- Escriba el Nombre o Raz\363n social'); }
			if($("#nit").val() == ''){ cnt.push('- Escriba el NIT'); }
			if($("#ciudad").val() == ''){ cnt.push('- Escriba la ciudad'); }
			if($("#direccion").val() == ''){ cnt.push('- Escriba la direcci\363n de la oficina'); }
			if($("#telefono").val() == ''){ cnt.push('- Escriba el tel\351fono principal'); }
			if($("#email").val() == ''){ 
				cnt.push('- Escriba el correo electr\363nico de la empresa'); 
			} else {
				if(!validateEmail($("#email").val())) { cnt.push('- Escriba correctamente el correo electr\363nico de la empresa'); }
			}
			if($("#tasa_cotizacion").val() == '') { cnt.push('- Escriba la tasa de cotizaci\363n (%).'); }
			if($("#antiguedad").val() == '') { cnt.push('- Escriba la antig\374edad de la empresa.'); }
			if($("#contacto_nombre").val() == '') { cnt.push('- Escriba el nombre del Representante legal.'); }
			if($("#contacto_cargo").val() == '') { cnt.push('- Escriba el cargo del Representante legal.'); }

			// Pagina 2
			if($("select.field_option").length!==0) {
				var $sl = $("select.field_option option:selected[value='']").length;
				if($sl>0) {
					cnt.push('- Complete los campos de opci\363n S\355/No/No aplica que faltan');
				}
			}

			if(cnt.length>0) {
				alert("Complete la siguiente informaci\363n:\n\n"+cnt.join("\n"));
				return false;
			}
			<?php endif; ?>
			
			$("button[name='send_vdx']").html('<i class="fa fa-circle-o-notch fa-spin"></i> Enviando').attr('disabled','disabled');

			return true;

		});

		if($("input[name='empleados_admin']").length !== 0) {
			$("input[name='empleados_admin']").blur(function() { sumemp(); });
			$("input[name='empleados_operativos']").blur(function() { sumemp(); });
		}

		$("button.continue_btn").click(function() {

			if($(this).attr('data-next') == '2') {

				// Darles valores en las filas de informacion antes de las preguntas
				if($("input[name='nombre']").val() !== '') { $("#data_nombre").text($("input[name='nombre']").val()); }
				if($("input[name='direccion']").val() !== '') { $("#data_direccion").text($("input[name='direccion']").val()); }
				if($("input[name='telefono']").val() !== '') { $("#data_telefono").text($("input[name='telefono']").val()); }
				if($("input[name='contacto_nombre']").val() !== '') { $("#data_contacto_nombre").text($("input[name='contacto_nombre']").val()); }
				if($("input[name='email']").val() !== '') { $("#data_email").text($("input[name='email']").val()); }
				if($("input[name='cargo']").val() !== '') { $("#data_cargo").text($("input[name='contacto_cargo']").val()); }
				if($("input[name='ciudad_diligenciamiento']").val() !== '' || $("input[name='dpto_diligenciamiento']").val() !== '') { 
					var strc = [];
					($("input[name='ciudad_diligenciamiento']").val() !== '') ? strc.push($("input[name='ciudad_diligenciamiento']").val()) : '';
					($("input[name='dpto_diligenciamiento']").val() !== '') ? strc.push($("input[name='dpto_diligenciamiento']").val()) : '';
					$("#data_ciudad").text(strc.join('/'));
				}
				$("li[data-tab='2']").trigger('click');

			} else if($(this).attr('data-next') == '3') {

				$("li[data-tab='3']").trigger('click');

			}

		});

		$("button[name='draft_vdx']").click(function() {

			if($("input[name='is_draft']").length==0) { 
				$("form[name='form1']").append('<input type="hidden" name="is_draft" value="1" />');
				$("form[name='form1']").off('submit').submit();
			}

		});

		$("input[name='fuerza_ventas'], input[name='personal'], input[name='personal_armas'], input[name='personal_propio'], input[name='teletrabajadores'], input[name='independientes']").click(function() {
			var thn = $(this).attr('name');
			if($(this).val() == '1') {
				$("input[name='"+thn+"_si_num']").removeAttr('disabled').removeAttr('hidden').focus();
			} else {
				$("input[name='"+thn+"_si_num']").attr({
					'disabled':'disabled',
					'hidden' : 'hidden'
				}).css('display','none');
			}
		});

		$.datepicker.regional['es'] = {
			closeText: 'Cerrar',
			prevText: '<Ant',
			nextText: 'Sig>',
			currentText: 'Hoy',
			monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
			monthNamesShort: ['Ene','Feb','Mar','Abr', 'May','Jun','Jul','Ago','Sep', 'Oct','Nov','Dic'],
			dayNames: ['Domingo', 'Lunes', 'Martes', 'Mi&eacute;rcoles', 'Jueves', 'Viernes', 'S&aacute;bado'],
			dayNamesShort: ['Dom','Lun','Mar','Mi&eacute;','Juv','Vie','S&aacute;b'],
			dayNamesMin: ['Do','Lu','Ma','Mi','Ju','Vi','S&aacute;'],
			weekHeader: 'Sm',
			dateFormat: 'yy-mm-dd',
			firstDay: 1,
			isRTL: false,
			showMonthAfterYear: false,
			yearSuffix: '',
			changeMonth: true,
            changeYear: true,
		};
		$.datepicker.setDefaults($.datepicker.regional['es']);
		$("#fentrevista, #fafilicacion, #idesde, #ihasta").datepicker();

		$("select.field_option").change(function() {
			getProgress();
		});

		if($("select.field_option").length!==0) { getProgress(); }

	});
	
	<?php if($ap[0]->editable == '1'): ?>
	var save_temp = function() {

		// Comprobar si tiene mas de 10 preguntas respondidas
		var _sl = $("select.field_option option:selected[value='']").length;
		if(_sl>1) {
			$.ajax({
				url : 'forma_temp_aplicaenc.php',
				type : 'POST',
				data : $("form[name='form1']").serialize(),
				contentType: "application/x-www-form-urlencoded;charset=iso-8859-1",
				dataType : 'json',
				success : function(r) {
					if(r.completed == 'true') {}
				}
			});
		}

	}

	var interval = 10000;
	setInterval('save_temp()',interval);
	<?php endif; ?>

</script>
<?php endif; ?>
<script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.4/jquery-ui.min.js"></script>
<script type="text/javascript" src="Charts/FusionCharts.js"></script>
<script type="text/javascript" src="Charts/FusionCharts.HC.js"></script>
<script type="text/javascript" src="Charts/FusionCharts.HC.Charts.js"></script>
<style type="text/css">
	
	/*
	.stylea{font-size: 13px; font-weight: bold; color: #FFFFFF; font-family:Arial, Helvetica, sans-serif; background-color:#003333; text-align:center;}
	.styleb{font-size: 13px;font-weight: bold;color: #FFFFFF;font-family:Arial, Helvetica, sans-serif;background-color:#003333;text-align:center;}
	.stylec{font-size: 13px;font-weight: bold;color: #000000;font-family:Arial, Helvetica, sans-serif;}
	.stylee{font-size: 11px;color: #000000;font-family:Arial, Helvetica, sans-serif;text-align:justify;}
	.stylef{font-size: 11px;color: #000000;font-family:Arial, Helvetica, sans-serif;text-align:justify;}
	.styleg{font-size: 11px;color: #000000;font-family:Arial, Helvetica, sans-serif;text-align:justify;font-weight:bold;}
	.bgman{ background:rgb(221,235,247); }
	.altborder{ border:solid 1px #0000000; }
	.title-point{ text-align:center; font-weight:bold; padding:5px; font-size:14px; border:solid 2px #000000; background:rgb(172,185,202); }
	.title-module{ text-align: center; font-weight: bold; font-size:14px; }
	.results-evaluation{ border:solid 2px #000; padding:10px; font-size:!4px; }
	.list tr th{ color:#000000; font-weight:bold; text-align: center; font-size:13px; border:solid 1px #000000; }
	.list tr td:nth-child(1){ text-align: center; }
	.list tr td:nth-child(2){ text-align: left; }
	.list tr td:nth-child(3),.list tr td:nth-child(4){ background:#ffffff !important; }
	.conditions_res{ background:rgb(221,235,247); font-size:14px; }
	.conditions_res tr th{ font-weight: bold; text-align:center; font-size:16px; background:rgb(172,185,202); }
	.conditions_res .cond1{ background:#76933C; font-size:14px; font-weight:bold; }
	.conditions_res .cond2{ background:#FFFF00; font-size:14px; font-weight:bold; }
	.conditions_res .cond3{ background:#FF0000; font-size:14px; font-weight:bold; color:#FFFFFF; }
	.conditions_res tr td{ font-size-14px; }
	.conditions_res .reason{ font-size:11px !important; }
	.conditions_res .title{ background:rgb(172,185,202); font-weight:bold; font-size:14px; text-align: center; }
	#fecha_reporte_dia, #fecha_reporte_mes, #fecha_reporte_ano{ border:solid 2px #000000; padding:5px; text-align:center; }
	.num_contratista{ font-size:18px; color:#000; }
	.no_result_app{ border:solid 2px #000000; padding:20px 0; text-align:center; color:rgba(0,0,0,0.6); }

	input[type=text],input[type=tel],input[type=email]{ padding:3px; width:97%; border:solid 1px rgba(0,0,0,0.6); font-size:12px; }
	input[type=text]:focus,input[type=tel]:focus,input[type=email]:focus{ border:solid 1px rgba(0,0,0,1); }
	*/

	<?php if(isset($_REQUEST['rpdf'])): ?>

		.mn{ width:100%; }

		.hdrbg{ background:background-color:#006699 padding:10px; list-style:none; margin:0 0 20px 0; }
		.hdrbg li{ font-size:10px; font-weight:bold; color:#000000; text-align:center; padding:0; }
		table{ border-spacing:1px; border-collapse: collapse; }
		
		#signature{ display:block; }
		#signature tbody{ display:block; }
		#signature tr{ display:block; }
		#signature tr:first-child td{ display:block; }

		#signature tr:nth-child(2) td,#signature tr:nth-child(3) td{ display:inline-block; }
		#result_prn{ display:block; margin:10px 0 0 0; }
		#result_nrm{ display:none; }
		#result_prn h1{ font-size:14px; margin:0 0 10px 0; }
		.prn_info{ border:0cm none; }
		.prn_info td{ font-size:8px; padding:0; }
		.prn_entire_survey th, .prn_entire_survey td{ font-size:8px; }
		.GG{ border:1px solid #CCCCCC !important; margin:0; }
		.GG td{ padding:1px; font-size:8px; }
		#prn_header{ display:block; border:0 none; font-size:8pt; }
		#normal_hdr{ display:none; }
	  	@page { margin: 0; }
	  	body { margin: 0.6cm; -webkit-print-color-adjust:exact; }
	  	#chartdiv_prn{ width:800px; margin:0; }
	  	#prn_nav{ display:none; }
	  	.question{ font-size:8px; text-align:left; }
	  	.category{ color:#FFFFFF; font-size:10px; text-align:center; font-weight:bold; }
		.subcategory{ background:rgb(217,217,217); padding:5px; font-weight:bold; text-align:left; font-size:9px; }

	<?php else: ?>

		.GG th{ color:#FFFFFF; background:#2c4cab; text-align:left; font-size:12px; }
		.hdrbg{ background:rgb(44,76,171); font-size:20px; font-weight:bold; color:#FFFFFF; text-align:center; padding:20px 0 0 0; }
		.hdrbg:last-child{ padding:0 0 20px 0; }
		.category{ color:#FFFFFF; font-size:18px; text-align:center; font-weight:bold; }
		.subcategory{ background:rgb(217,217,217); padding:5px; font-weight:bold; text-align:left; font-size:15px; }
		.question{ font-size:12px; font-weight:bold; }
		.comments{ width:97%; height:40px; resize:none; }
		.field_option{font-size:14px; width:97%; }
		.hdrbg{ background:rgb(44,76,171); padding:10px; list-style:none; margin:0 0 20px 0; }
		.hdrbg li{ font-size:20px; font-weight:bold; color:#FFFFFF; text-align:center; padding:0; }
		.mn{ width:1200px; }
		#signature{ display:none; }
		.change-data{ font-size:14px; padding:10px; color:rgba(0,0,0,0.6); }
		.change-data a{ font-size:14px; font-weight:bold; color:rgb(44,76,171); }
		#result_prn{ display:none; }
		#result_nrm{ display:block; }
		#prn_header{ display:none; }
		#normal_hdr{ display:block; }
		#prn_nav{ display:block; }

	<?php endif; ?>

</style>
<?php if(!isset($_REQUEST['rpdf'])): ?>
<style media="print">
	#expected_graph, #tabs5, #print_button, #edit_eval{ display:none; height:0; }
	.mn{ width:100%; }
	#signature{ display:block; }
	#signature tbody{ display:block; }
	#signature tr{ display:block; }
	#signature tr:first-child td{ display:block; }
	#signature tr:nth-child(2) td,#signature tr:nth-child(3) td{ display:inline-block; }
	#result_prn{ display:block; margin:10px 0 0 0; }
	#result_nrm{ display:none; }
	#result_prn h1{ font-size:14px; margin:0 0 10px 0; }
	.hdrbg{ background:rgb(44,76,171); padding:10px !important; list-style:none; margin:0 0 20px 0; }
	.hdrbg li{ font-size:12px; font-weight:bold; color:#FFFFFF; text-align:center; padding:0; }
	.prn_info td{ font-size:10px; padding:0; }
	.prn_entire_survey th, .prn_entire_survey td{ font-size:10px; }
	.GG{ border:0 none; margin:0; }
	.GG td{ padding:5px; }
	#prn_header{ display:block; }
	#normal_hdr{ display:none; }
  	@page { margin: 0; }
  	body { margin: 0.6cm; -webkit-print-color-adjust:exact; }
  	#chartdiv_prn{ width:800px; margin:0; }
  	#prn_nav{ display:none; }
</style>
<?php endif; ?>
</head>
<body <?php echo (isset($_REQUEST['rpdf'])) ? NULL : ' bgcolor="#cccccc"'; ?> oncontextmenu="return false;">
	<table cellspacing="0"<?php echo (isset($_REQUEST['rpdf'])) ? ' cellpadding="2" class="mn" border="0" bordercolor="#333333"' : ' cellpadding="10" class="GG mn" border="0"'; ?> align="center" width="900">
		<?php require_once("include_encabezado.php");?>
		<?php if(!isset($_REQUEST['rpdf'])): ?>
		<tr id="prn_nav">
			<td>
				<?php include 'navbar.php'; ?>
			</td>
		</tr>
		<?php endif; ?>
		<tr>
			<td>

				<?php 

					if($show == 0): 

						echo '<div>Debe obtener un id de visita diagn&oacute;stica para apligcar la acci&oacute;n.</div>';

					else:

						$selc = ($ap[0]->editable == '1') ? ' class="selected"' : NULL;
						$seld = ($ap[0]->editable == '0') ? ' class="selected"' : NULL;
						$selh = ($ap[0]->editable == '1') ? ' data-disabled="1"' : NULL;

						echo '<form name="form1" method="post" enctype="multipart/form-data" action="'.$_SERVER['PHP_SELF'].'">';
						echo '<input type="hidden" name="aplica_id" value="'.$_REQUEST['aplica_id'].'">';
						echo '<ul class="tabs">';
						echo '<li data-tab="1"'.$selc.$seli.'><span>1. Datos generales</span></li>';
						echo '<li data-tab="2"><span>2. Formato</span></li>';
						echo ($ap[0]->editable == '0') ? '<li data-tab="3"'.$seld.'><span>3. Calificaci&oacute;n</span></li>' : NULL;
						echo '</ul>';

						$sele = ($ap[0]->editable == '1') ? NULL : ' style="display:none;"';
						$self = ($ap[0]->editable == '0') ? NULL : ' style="display:none;"';

						echo '<div id="tab1" class="tab_content"'.$sele.'>';
						include 'vdx_step1.php';
						echo '<div class="buttons"><button name="continue0" type="button" class="button-submit-action-big continue_btn" data-next="2">Siguiente &raquo;</button></div>';
						echo '</div>';

						echo '<div id="tab2" class="tab_content" style="display:none;">';
						include 'vdx_step2.php';

						if($ap[0]->editable == '1'):
							echo '<div class="buttons">';
							echo '<button name="draft_vdx" type="button" class="button-submit-action-big"><i class="fa fa-eraser"></i> Guardar borrador</button> &nbsp;&nbsp;';
							echo '<button name="send_vdx" type="submit" class="button-submit-action-big"><i class="fa fa-floppy-o"></i> Finalizar</button>';
							echo '</div>';
						else:
							echo '<div class="buttons"><button name="continue1" type="button" class="button-submit-action-big continue_btn" data-next="3">Siguiente &raquo;</button></div>';
						endif;
						echo '</div>';

						if($ap[0]->editable == '0'):
							echo '<div id="tab3" class="tab_content"'.$self.'>';
							include 'vdx_step3.php';
							echo '</div>';
						endif;

						echo '</form>';

					endif;

				?>

			</td>
		</tr>
		<?php if(!isset($_REQUEST['rpdf'])): require_once("include_pie.php"); endif; ?>
	</table>
</body>
</html>