<?php
ini_set('display_errors', '1');
session_start();
ob_start();
require_once('./configuracion.php');
require_once('./cliente.class.php');
require_once('seguridad.class.php');
require_once('proceso.class.php');
require_once('plan_trabajo.class.php');
require_once('carpeta.class.php');
require_once('../clase/funcion_mail.php');

$objAsp = new cliente();
$objUSr = new seguridad();
$objPro = new proceso();
$objPT 	= new plan_trabajo();
$objCar	= new carpeta();

if(isset($_REQUEST["id"]))
{
//Obtener el registro de un cliente
	$rsAsp				 	=  $objAsp->obtenerCliente($basedatos,"ind",$_REQUEST["id"]);
	$Rnombre	   		 	=  $rsAsp[0]->nombre;
	$Rnit    			 	=  $rsAsp[0]->nit;
	$Rtelefono   	   	 	=  $rsAsp[0]->telefono;
	$Rdireccion      	 	=  $rsAsp[0]->direccion;
	$Rfax		      	 	=  $rsAsp[0]->fax;
	$Rarp				 	=	$rsAsp[0]->arp_id;
	$Rrepresentante		=	$rsAsp[0]->representante;
	$Rrepresentante_email	=	$rsAsp[0]->representante_email;
	$Rrepresentante_doc		=	$rsAsp[0]->representante_doc;
	$Rrepresentante_tel		=	$rsAsp[0]->representante_tel;
	$Rcontrato				=	$rsAsp[0]->contrato;
	$Rciudad				=	$rsAsp[0]->ciudad;
	$Rarp_id				=	$rsAsp[0]->arp_id;
	$Rnivel_riesgo			=	$rsAsp[0]->clase_riesgo;
	$Rsector_economico		=	$rsAsp[0]->sector_economico;
	$Rdia_consti			=	$rsAsp[0]->dia_consti;
	$Rmes_consti			=	$rsAsp[0]->mes_consti;
	$Rano_consti			=	$rsAsp[0]->ano_consti;
	$Rdia_ing				=	$rsAsp[0]->dia_ing;
	$Rmes_ing				=	$rsAsp[0]->mes_ing;
	$Rano_ing				=	$rsAsp[0]->ano_ing;
	$Rnum_tra_admin			=	$rsAsp[0]->num_tra_admin;
	$Rnum_tra_ope			=	$rsAsp[0]->num_tra_ope;
	$Rnum_tra_hombre		=	$rsAsp[0]->num_tra_hombre;
	$Rnum_tra_mujer			=	$rsAsp[0]->num_tra_mujer	;
	$Rcontacto1				=	$rsAsp[0]->contacto1;
	$Rcontacto1_cargo		=	$rsAsp[0]->contacto1_cargo;
	$Rcontacto1_tel			=	$rsAsp[0]->contacto1_tel;
	$Rcontacto1_email		=	$rsAsp[0]->contacto1_email;
	$Rciiu					=	$rsAsp[0]->ciiu;
	$Ractividad				=	$rsAsp[0]->actividad;
	$Rresponsable_id		=	$rsAsp[0]->responsable_id;
	$Rarp					=	$rsAsp[0]->arpx;
	$Rconsultor				=	$rsAsp[0]->consultorx;

//print_r($rsAsp);
	$rsPro	=$objPro->obtenerProcesoCliente2($basedatos,  trim($_REQUEST["id"])  );


}
?>
<!DOCTYPE html>
<html>
<head>
<?php
if ( !isset($_REQUEST['enviarCorreo']) ) {
	?>
	<link rel="stylesheet" type="text/css" href="../css/admon.css">
	<?php
}
?>
<title>: INSUREX-IDENDATA:: Sistema de Publicaciones Web:Resumen del Cliente</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<style type="text/css">
<!--
.style1 {
	color: #FFFFFF;
	font-weight: bold;
}
.enviarCorreo{
	margin: 0 auto;
	text-align: center;
	font-weight: bold;
	font-size: 15px;
}
-->
</style>

<?php
if ( isset($_REQUEST['imprimir']) ) {
	?>
	<script type="text/javascript">
		window.print();
		top.close();
		</script>
	<?php
}
?>
</head>

<body>
<table width="95%" class="GG" border="0" align="center" cellpadding="5" cellspacing="0">
<tr>
  <td colspan="4" bgcolor="#003366">
<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr>
<td><span class="style1" style="color: white;">Resumen de registro de la empresa usuario</span></td>
<td><div align="right">
<?php
if ( !isset($_REQUEST['imprimir']) and !isset($_REQUEST['enviarCorreo']) ) {
	?>
	<a href="gs_det_cliente.php?imprimir=yes&id=<?php echo $_REQUEST['id'];?>" class="style1"><img border="0" align="absmiddle" alt="Imprimir" src="../image/botPrint.gif"> Imprimir </a>
	&nbsp;&nbsp;&nbsp;
	<a href="javascript:top.close();" class="style1"><img border="0" align="absmiddle" alt="Cerrar Ventana" src="../image/borrar.PNG"> Cerrar Ventana</a>
	<?php
}
?>
</div></td>

</tr>
</table>
<span class="style1"></span></td>
</tr>
<tr>
  <td><span class="BB BB"><span class="style3">*</span> Raz&oacute;n Social:</span></td>
  <td><span class="BB BB"><span class="style3">* </span>NIT:</span></td>
  <td><span class="BB BB">No. de Contrato </span></td>
  <td><span class="BB">Ciudad</span></td>
</tr>
<tr >
  <td width="20%"><? if(isset($Rnombre)) { echo $Rnombre;} ?>&nbsp;
    <div align="center"></div></td>
  <td  width="30%"><? if(isset($Rnit)) { echo $Rnit;} ?>&nbsp;
    <div align="center"></div></td>
  <td width="20%"><? if(isset($Rcontrato)) { echo $Rcontrato;} ?>&nbsp;
    <div align="center"></div></td>
  <td  width="30%"><? if(isset($Rciudad)) { echo $Rciudad;} ?>&nbsp;
    <div align="center"></div></td>
</tr>
<tr>
  <td><span class="BB">ARL</span></td>
  <td><span class="BB">PBX / Tel&eacute;fono </span></td>
  <td><span class="BB">Direcci&oacute;n</span></td>
  <td><span class="BB BB">Fax:</span></td>
</tr>
<tr>
  <td><? if(isset($Rarp)) { echo str_replace("ARP","ARL",$Rarp);} ?>&nbsp;  </td>
  <td><? if(isset($Rtelefono)) { echo $Rtelefono;} ?>&nbsp;</td>
  <td><? if(isset($Rdireccion)) { echo $Rdireccion;} ?>&nbsp;</td>
  <td><? if(isset($Rfax)) { echo $Rfax;} ?>&nbsp;</td>
</tr>
<tr>
  <td colspan="4" bgcolor="#eeeeee"><span class="BB">Representante Legal </span></td>

</tr>
<tr>
  <td><span class="BB"><span class="BB BB"><span class="style3">*</span></span> Nombre Completo </span></td>
  <td><span class="BB"><span class="BB BB"><span class="style3">* </span></span>Email</span></td>
  <td><span class="BB"><span class="BB BB"><span class="style3">* </span></span>No. de Documento </span></td>
  <td><span class="BB"><span class="BB BB"><span class="style3">* </span></span>Tel&eacute;fono </span></td>
</tr>
<tr>
  <td><? if(isset($Rrepresentante)) { echo $Rrepresentante;} ?>&nbsp;</td>
  <td><? if(isset($Rrepresentante_email)) { echo $Rrepresentante_email;} ?>&nbsp;</td>
  <td><? if(isset($Rrepresentante_doc)) { echo $Rrepresentante_doc;} ?>&nbsp;</td>
  <td><? if(isset($Rrepresentante_tel)) { echo $Rrepresentante_tel;} ?>&nbsp;</td>
</tr>
<tr>
  <td colspan="4" bgcolor="#eeeeee"><span class="BB">Otro Contacto </span></td>
  </tr>
<tr>
  <td><span class="BB">Nombre Completo </span></td>
  <td><span class="BB">Cargo</span></td>
  <td><span class="BB">Tel&eacute;fono</span></td>
  <td><span class="BB">Email</span></td>
</tr>
<tr>
  <td><? if(isset($Rcontacto1)) { echo $Rcontacto1;} ?>&nbsp;</td>
  <td><? if(isset($Rcontacto1_cargo)) { echo $Rcontacto1_cargo;} ?>&nbsp;</td>
  <td><? if(isset($Rcontacto1_tel)) { echo $Rcontacto1_tel;} ?>&nbsp;</td>
  <td><? if(isset($Rcontacto1_email)) { echo $Rcontacto1_email;} ?>&nbsp;</td>
</tr>
<tr>
  <td><span class="BB">Clase Riesgo </span></td>
  <td><span class="BB BB">Sector Econ&oacute;mico</span></td>
  <td><span class="BB">Actividad Economica</span></td>
  <td><span class="BB">Fecha de Constituci&oacute;n<br>[dd-mm-aaaa]</span></td>
</tr>
<tr>
  <td><? if(isset($Rcontacto1_email)) { echo $Rnivel_riesgo;} ?>&nbsp;</td>
  <td><? if(isset($Rsector_economico)) { echo $Rsector_economico;} ?>&nbsp;</td>
  <td><? if(isset($Ractividad)) { echo $Ractividad;} ?>&nbsp;</td>
  <td><? if(isset($Rdia_consti)) { echo $Rdia_consti;} ?>-<? if(isset($Rmes_consti)) { echo $Rmes_consti;} ?>-<? if(isset($Rano_consti)) { echo $Rano_consti;} ?>&nbsp;  </td>
</tr>
<tr>
  <td><span class="BB">Responsable</span></td>
  <td><span class="BB">Fecha de Ingreso a IDENDATA</span></td>
  <td>&nbsp;</td>
 <td>&nbsp;</td>
 </tr>
<tr>
  <td><? if(isset($Rconsultor)) { echo $Rconsultor;} ?>&nbsp;</td>
  <td><? if(isset($Rdia_ing)) { echo $Rdia_ing;} ?>-<? if(isset($Rmes_ing)) { echo $Rmes_ing;} ?>-<? if(isset($Rano_ing)) { echo $Rano_ing;} ?>&nbsp;</td>

  <td>&nbsp;</td>
  <td>&nbsp;</td>
</tr>
<tr>
<td colspan="10" bgcolor="#eeeeee"><span class="BB">Proceso activos de la empresa usuario</span></td>
</tr>
<?
 for($x=0;$x<count($rsPro);$x++){
$proc_id=$rsPro[$x]->proceso_id;


$rsAct =  $objPT->obtenerActividadPlan($basedatos,"pro",$proc_id,$_REQUEST["id"]);

$rsArc =  $objCar->obtenerArchivo($basedatos,"pro",$proc_id,$_REQUEST["id"]);

?>
<tr>
<td colspan="10"><img src="../image/bullet.png" align="absmiddle">&nbsp;<? echo $rsPro[$x]->nombre;?></td>
</tr>
<tr>
<td colspan="10">
<?
if(count($rsAct)>0)
{
?>
<table class="GG" width="100%" cellpadding="3" cellspacing="0" border="0">
<tr>
<td colspan="10"><div align="center"><strong>Actividades relacionadas
              con el Proceso</strong></div></td>
</tr>
<tr bgcolor="#eeeeee">
<td>Actividad</td>
<td>Responsable</td>
<td>Estimada</td>
<td>Ejecutada</td>
<td>Estado</td>
<td>Horas</td>
</tr>
<? for ($conta=0;$conta<count($rsAct);$conta++){?>
<tr>
<td><? echo $rsAct[$conta]->nombre;?></td>
<td><? echo $rsAct[$conta]->responsable;?></td>
<td ><span class="BB">&nbsp;</span><? echo substr($rsAct[$conta]->fecha_desde,0,10); ?></td>
<td><span class="BB">&nbsp;</span><? echo substr($rsAct[$conta]->fecha_desde_real,0,10); ?> <br></td>
<td><? echo $rsAct[$conta]->estado_texto;?></td>
<td><? echo $rsAct[$conta]->horas;?></td>
</tr>
<? } ?>
</table>
<? }
else{?>
No registra actividades
<? } ?>

</td>
</tr>

<!---CARGAR INFORMACION DE ARCHIVOS-->
<tr>
<td colspan="10">
<?
if(count($rsArc)>0)
{
?>
<table class="GG" width="100%" cellpadding="3" cellspacing="0" border="0">
<tr>
<td colspan="10"><div align="center"><strong>Documentos publicados relacionados
              con el Proceso</strong></div></td>
</tr>
<tr bgcolor="#eeeeee">
<td>Actividad</td>
<td>Archivo</td>
          <td>Descripci&oacute;n</td>
<td>Descargar</td>
</tr>
<? for ($conta=0;$conta<count($rsArc);$conta++){


	$Rarchivo	=$rsArc[$conta]->ruta;
  	$Ricontipo	=	"";

	if(strpos ($Rarchivo ,".pdf")>0)
	{
		$Ricontipo="pdf.PNG";
	}



	if(strpos ($Rarchivo ,".doc")>0)
	{
		$Ricontipo="word.PNG";
	}


 	if(strpos ($Rarchivo,".xls")>0)
	{
		$Ricontipo="excel.PNG";
	}


 	if(strpos ($Rarchivo,".htm")>0)
	{
		$Ricontipo="int.PNG";
	}


 	if(strpos ($Rarchivo,".dot")>0)
	{
		$Ricontipo="word.PNG";
	}



 	if(strpos ($Rarchivo,".mht")>0)
	{
		$Ricontipo="int.PNG";
	}



?>
<tr>
<td><? echo $rsArc[$conta]->actividad;?></td>
<td><? echo $rsArc[$conta]->nombre_archivo;?></td>
<td><? echo $rsArc[$conta]->descripcion;?></td>
<td valign="top"><div align="center"><a href="javascript:abrirEMERGENTE('gs_leer_archivo.php?usr=<? echo  $_SESSION["usuario_id"]; ?>&id=<? echo  $rsArc[$conta]->archivo_id; ?>',800,600);"><? if(strlen($Ricontipo) >0) { ?>
  <img src="../image/<? echo $Ricontipo;?>" align="absmiddle"  border="0"/>
  <? } else {?>
  No Registra tipo
  <? } ?></a></div></td>
</tr>
<? } ?>
</table>
<? }
else{?>
No registra documentos
<? } ?>

</td>
</tr>
<?

   }
?>

</table>
<?php
if ( !isset($_REQUEST['enviarCorreo']) and !isset($_REQUEST['imprimir']) ) {
	?>
	<div class="enviarCorreo">
		<a href="gs_det_cliente.php?id=<?php echo $_REQUEST['id'];?>&enviarCorreo=yes"> Enviar por correo </a>
	</div>
	<?php
}
?>
</body>
</html>
<?php
$content = ob_get_clean();
if ( isset($_REQUEST['enviarCorreo']) ) {
	$asunto='Envio de datos de Cliente/Prospecto';
	$mensage=$content;
	$desde='soporte@idendata.com';
	$para='soporte@idendata.com';
	$headers = 'Content-type: text/html; charset=utf-8' . "\r\n";
	$enviar=funcion_mail($para,$asunto,$mensage,$headers);
	if ( $enviar===TRUE ) {
		?>
		<script type="text/javascript">
			alert('Se ha enviado el correo');
			top.close();
		</script>
		<?php
	} else {
		?>
		<script type="text/javascript">
			alert('Se presento un problema al enviar el correo <?php echo $enviar;?>');
			top.close();
		</script>
		<?php
	}
} else {
	echo $content;
}
?>
