<?php
header('Content-Type: text/html; charset=UTF-8');
session_start();
require_once('./configuracion.php');
require_once('./cliente.class.php');
require_once('./carpeta.class.php');
include_once('informe.class.php');
require_once('seguridad.class.php');
require_once('semaforo_class.php');

$objAsp = new cliente();
$objCli = new cliente();
$objCarp = new carpeta();
$objSem = new semaforo();
$objInf = new informe;
$objSegEncargados = new seguridad();


if(isset($_SESSION["empresa"])) {
	$condicionF="";
	if($_SESSION["rol"]=="0" || $_SESSION["rol"]=="-1" ) {
		$condicionF="";
	} else {
		$condicionF=" and cliente_id in(" . trim($_SESSION["empresa"]) . ")";
	}

	$rsCliente	=	$objCli->obtenerCliente($basedatos,"per",$condicionF);

	if($_SESSION["rol"]=="0" || $_SESSION["rol"]=="-1" ) {
		$rsCarpeta	=	$objCarp->obtenerCarpeta($basedatos,"tod","");
	} else {
		$rsCarpeta	=	$objCarp->obtenerCarpeta($basedatos,"per",$_SESSION["empresa"]);
	}
}

if(isset($_REQUEST["acc"]))
{

	if($_REQUEST["acc"]=="ix" || $_REQUEST["acc"]=="ux"){
	//RECUPERAR DATOS
	$Racc=str_replace("'","''",$_REQUEST["acc"]);
	$Rid=str_replace("'","''",$_REQUEST["id"]);

	$objAsp->registrarCliente($basedatos,$Racc,$Rid,$_POST);

	?>
	<script language="javascript">
	alert('Se registro correctamente el cliente');
   location.href='gs_cliente.php';
	</script>
	<?
	}


	if($_REQUEST["acc"]=="i" || $_REQUEST["acc"]=="u")
	{

		if($_REQUEST["acc"]=="u")
		{
		  //Obtener el registro de un cliente
			$rsAsp				 =  $objAsp->obtenerCliente($basedatos,"ind",$_REQUEST["id"]);
			$Rnombre	   		 =  $rsAsp[0]->nombre;
			$Rnit    			 =  $rsAsp[0]->nit;
			$Rtelefono   	   	 =  $rsAsp[0]->telefono;
			$Rdireccion      	 =  $rsAsp[0]->direccion;

		}
	}
}

if ( isset($_REQUEST['cerrarAviso']) ) {
	$_SESSION['cerrarAviso']=$_REQUEST['cerrarAviso'];
}



//////////////////////////////ALERTAS


$objInf = new informe;
$objSegEncargados = new seguridad();
$rsAllEncargados = $objSegEncargados->obtenerUsuario($basedatos,"consultor","0");
$rsPendActividadComercial=$objSem->obtenerActividadComenrcial( $basedatos );
$rsPendReinversion=$objSem->obtenerReinversion( $basedatos );
if ( isset($_REQUEST['respAc']) and !empty($_REQUEST['respAc']) ) {
	$rsPendActividadComercial=$objSem->obtenerActividadComenrcial( $basedatos, $_REQUEST['respAc'] );
	$rsPendReinversion=$objSem->obtenerReinversion( $basedatos, $_REQUEST['respAc'] );
}
$todosPendientes=$rsPendActividadComercial+$rsPendReinversion;





///SIN DETENERMINAR

$Rsql="select plan_id,nombre,cliente_id,fecha_desde,fecha_hasta,objetivo,horas,costo
, DAY(fecha_desde) as dia_desde,MONTH(fecha_desde) as mes_desde,YEAR(fecha_desde) as ano_desde
, DAY(fecha_hasta) as dia_hasta,MONTH(fecha_hasta) as mes_hasta,YEAR(fecha_hasta) as ano_hasta
,(select nombre from gs_cliente where gs_cliente.cliente_id=gs_plan_trabajo.cliente_id) as conductor
,(select nit from gs_cliente where gs_cliente.cliente_id=gs_plan_trabajo.cliente_id) as placa

, ( select sum(mes_facturado) from gs_plan_actividad WHERE gs_plan_actividad.plan_id = gs_plan_trabajo.plan_id ) as tiquetes
,(select nombre from gs_actividad where actividad_id=gs_plan_trabajo.nombre ) as nombrex
,hora,minuto
,gs_plan_trabajo.estado

,gs_plan_trabajo.comentario
 from  gs_plan_trabajo 
where fecha_desde between '" . date('Y') . "-" . date('m'). "-" . (date('d')). "' and '" . date('Y') . "-" . date('m'). "-" . (date('d')+1). "'
and gs_plan_trabajo.cliente_id in (81)
order by plan_id desc";

//echo $Rsql;


$rsVenci=$basedatos->loadObjectList($Rsql);



$Rsqlx="select plan_id,nombre,cliente_id,fecha_desde,fecha_hasta,objetivo,horas,costo
, DAY(fecha_desde) as dia_desde,MONTH(fecha_desde) as mes_desde,YEAR(fecha_desde) as ano_desde
, DAY(fecha_hasta) as dia_hasta,MONTH(fecha_hasta) as mes_hasta,YEAR(fecha_hasta) as ano_hasta
,(select nombre from gs_cliente where gs_cliente.cliente_id=gs_plan_trabajo.cliente_id) as conductor
,(select nit from gs_cliente where gs_cliente.cliente_id=gs_plan_trabajo.cliente_id) as placa

, ( select sum(mes_facturado) from gs_plan_actividad WHERE gs_plan_actividad.plan_id = gs_plan_trabajo.plan_id ) as tiquetes
,(select nombre from gs_actividad where actividad_id=gs_plan_trabajo.nombre ) as nombrex
,hora,minuto
,gs_plan_trabajo.estado

,gs_plan_trabajo.comentario
 from  gs_plan_trabajo 
where fecha_desde between '" . date('Y') . "-" . date('m'). "-" . (date('d')). "' and '" . date('Y') . "-" . date('m'). "-" . (date('d')+1). "'
and gs_plan_trabajo.cliente_id not in (81)
order by plan_id desc";

//echo $Rsqlx;


$rsPlanilla=$basedatos->loadObjectList($Rsqlx);

//print_r($rsPlanillas);

?>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title><? echo $nombre_aplicacion; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" type="text/css" href="../css/admon.css">
<script type="text/javascript" src="http://code.jquery.com/jquery-1.4.4.min.js"></script>
<script type="text/javascript" src="apprise-1.5.full.js"></script>
<link rel="stylesheet" href="apprise.css" type="text/css" />

<script >
	function vincular(opc,acc,id){
		alert(opc);
		location.href='admin_link.php?acc'+acc+"&id="+id+"&opc="+opc;
	}

	function validarForma()
	{

		//alert('hola');

		if(document.form1.nombre.value=='')
		{
			alert('Nombre es requerido');
			document.form1.nombre.focus();
			return 0;
		}

		if(document.form1.nit.value=='')
		{
			alert('NIT son requeridos');
			document.form1.nit.focus();
			return 0;
		}

		document.form1.submit();

	}

	function mostrarOcultaBs() {
		var cell = document.getElementById('busqueda').style.display;

		if ( cell=='none' ) {
			document.getElementById('busqueda').style.display='block';
		} else {
			document.getElementById('busqueda').style.display='none';
		}
	}
</script>


<style type="text/css">
<!--

/**
 * Estilos que controlan el mensage inicial
 */
 /*  *********************************************************************** */
#load{
	margin: 0 auto;
	margin-top: 1%; /* CONTROLA EL CENTRADO VERTICAL DEL DIV CONTENEDOR DEL MENSAJE */
	width:100%;
	height: 100%;
	position: fixed;
	z-index: 2;
}

#load2{
	margin: 0 auto;
	position: fixed;
	width: 100%;
	height: 100%;
}

#mensajeInicial{
	margin: 0 auto;
	background-color: #ffffff;
	width: 70%; /* CONTROLA EL ANCHO DEL DIV CONTENEDOR DEL MENSAJE */
	height: 90%; /* CONTROLA EL ALTO DEL DIV CONTENEDOR DEL MENSAJE */
	padding: 10px;
	border-radius: 10px;
}

#cerrarAvisoLink{
	margin: 0 auto;
	text-align: right;
}

#contenidoAviso{
	border: 1px solid black;
	width: 96.5%; /* CONTROLA EL ANCHO DEL CONTENIDO DEL MENSAJE */
	height: 92%; /* CONTROLA EL ALTO DEL CONTENIDO DEL MENSAJE */
	border-radius: 10px;
	padding: 15px;
}
.articulo{
	width: 100%;
	height: 93%; /* CONTROLA EL ALTO DEL MENSAJE */
	overflow: auto;
}
.textoContent{
	width: 97%;
	text-align: justify;
}
.style14 {color: #003366}
.style18 {font-size: 36px}
.style20 {color: #000000}
.style21 {color: #FFFFFF}


/*  *********************************************************************** */
-->
</style>
</head>

<body bgcolor="#eeeeee">


<table width="600" class="GG" border="0" align="center" cellpadding="5" cellspacing="0">
<? require_once("include_encabezado.php");?>

<tr>
<td>
<TABLE width="605" class="GG" border="0" align="center" cellpadding="5" cellspacing="0">
  <tr>
    <td > <div align="center"><strong><span  >Gesti&oacute;n de Ventas de Tiquetes Cooflotax para el <?php echo date('j');?> de <?php echo $objSem->convertNumMeses( date('m') );?> del <?php echo date('Y');?></span> </strong>

          <span class="image_holder">
          		<img src="../image/help.png" width="15px">
                <div class="image_info"></div>
	  </span>

    </div></td>
    </tr>
<tr>
<td>
<table width="900" height="0" border="1" bordercolor="#000000" cellpadding="5" cellspacing="0" >
<tr bgcolor="#000033">
<td width="10" class="style20"><div align="center" class="style21">#</div></td>
<td class="style20"><div align="center" class="style21">Placa</div></td>
<td class="style20"><span class="style21">Fecha y hora </span></td>
<td class="style20"><span class="style21">Conductor </span></td>
<td class="style20"><div align="center" class="style21">Tiquetes Vendidos</div></td>

<td class="style20"><div align="center" class="style21">Destino</div></td>
<td class="style20"><div align="center" class="style21">Lista de Tiquetes</div></td>
<td class="style20"><div align="center" class="style21">Nuevo Tiquete</div></td>

<td class="style20"><div align="center" class="style21">Planilla</div></td>

<td class="style20"><div align="center" class="style21">Cerrar Viaje</div></td>
<td class="style20"><span class="style21">Estado Viaje</span></td>
</tr>

<? for($ix=0;$ix<count($rsVenci);$ix++){


?>
<tr>
<td width="10" class="style20"><span  ><? echo ($ix+1);?></span></td>
<td ><div align="left"><span  ><? echo  $rsVenci[$ix]->placa;?></span></div></td>
<td ><div align="left"><span  ><? echo  substr($rsVenci[$ix]->fecha_desde,0,10);?>&nbsp;<? echo  $rsVenci[$ix]->hora;?>:<? echo  $rsVenci[$ix]->minuto;?></span></div></td>
<td ><div align="left"><span  ><? echo  $rsVenci[$ix]->conductor;?></span></div></td>
<td ><div align="center"><span  ><? echo  $rsVenci[$ix]->tiquetes;?></span></div></td>
<td ><div align="center"><span  ><? echo  $rsVenci[$ix]->nombrex;?></span></div></td>
<td><?  if( $rsVenci[$ix]->estado!="2"){?><a href="gs_actividad_trabajo.php?cliente_id=<? echo  $rsVenci[$ix]->cliente_id;?>&plan_id=<? echo  $rsVenci[$ix]->plan_id;?>"><img  border="0" src="tiq.png"></a><? } else {?><b>Cerrado</b><? }?>&nbsp;</td>
<td><?  if( $rsVenci[$ix]->estado!="2"){?><a href="gs_actividad_trabajo.php?cliente_id=<? echo  $rsVenci[$ix]->cliente_id;?>&plan_id=<? echo  $rsVenci[$ix]->plan_id;?>&acc=i&id=0"><img  border="0" src="addticket.jpg" width="52" height="52"></a><? } else {?><b>Cerrado</b><? }?>&nbsp;</td>

<td><div align="center"><a href="javascript:abrirEMERGENTE('gs_actividad_trabajo_det.php?cliente_id=<? echo  $rsVenci[$ix]->cliente_id;?>&plan_id=<? echo  $rsVenci[$ix]->plan_id;?>',500,700);"><img border=0 src="iconnuevo.png" width="52" height="52" ></a></div></td>

<td><div align="center"><a href="javascript:abrirEMERGENTE('gs_cierre.php?cliente_id=<? echo  $rsVenci[$ix]->cliente_id;?>&plan_id=<? echo  $rsVenci[$ix]->plan_id;?>',500,400);"><img src="cerrar.png" width="52" height="52"></a></div></td>
<td align="center"><strong><span  >&nbsp;<? if( $rsVenci[$ix]->estado=="2"){ echo "<font color='#FF0000'>Cerrado</font> ".$rsVenci[$ix]->fecha_hasta.$rsVenci[$ix]->comentario; } else { echo "<font color='#006600'>Abierto</font>";}?></span></strong></td>
</tr>
<? }  ?>
</table>

<p align="center"><strong><span  >Gesti&oacute;n de Planillas de Viaje Cooflotax para el <?php echo date('j');?> de <?php echo $objSem->convertNumMeses( date('m') );?> del <?php echo date('Y');?></span> </strong> <span class="image_holder"> <img src="../image/help.png" width="15px"> </span></p>
<table width="900" height="0" border="1" bordercolor="#000000" cellpadding="5" cellspacing="0" >
<tr bgcolor="#000033">
<td width="10" class="style20"><div align="center" class="style21">#</div></td>
<td class="style20"><div align="center" class="style21">Placa</div></td>
<td class="style20"><span class="style21">Fecha y hora </span></td>
<td class="style20"><span class="style21">Conductor </span></td>
<td class="style20"><div align="center" class="style21">Tiquetes Vendidos</div></td>

<td class="style20"><div align="center" class="style21">Destino</div></td>
<td class="style20"><div align="center" class="style21">Lista de Tiquetes</div></td>
<td class="style20"><div align="center" class="style21">Nuevo Tiquete</div></td>

<td class="style20"><div align="center" class="style21">Planilla</div></td>

<td class="style20"><div align="center" class="style21">Cerrar Viaje</div></td>
<td class="style20"><span class="style21">Estado Viaje</span></td>
</tr>

<? for($ix=0;$ix<count($rsPlanilla);$ix++){


?>
<tr>
<td width="10" class="style20"><span  ><? echo ($ix+1);?></span></td>
<td ><div align="left"><span  ><? echo  $rsPlanilla[$ix]->placa;?></span></div></td>
<td ><div align="left"><span  ><? echo  substr($rsPlanilla[$ix]->fecha_desde,0,10);?>&nbsp;<? echo  $rsPlanilla[$ix]->hora;?>:<? echo  $rsPlanilla[$ix]->minuto;?></span></div></td>
<td ><div align="left"><span  ><? echo  $rsPlanilla[$ix]->conductor;?></span></div></td>
<td ><div align="center"><span  ><? echo  $rsPlanilla[$ix]->tiquetes;?></span></div></td>
<td ><div align="center"><span  ><? echo  $rsPlanilla[$ix]->nombrex;?></span></div></td>
<td><?  if( $rsPlanilla[$ix]->estado!="2"){?><a href="gs_actividad_trabajo.php?cliente_id=<? echo  $rsPlanilla[$ix]->cliente_id;?>&plan_id=<? echo  $rsPlanilla[$ix]->plan_id;?>"><img  border="0" src="tiq.png"></a><? } else {?><b>Cerrado</b><? }?>&nbsp;</td>
<td><?  if( $rsPlanilla[$ix]->estado!="2"){?><a href="gs_actividad_trabajo.php?cliente_id=<? echo  $rsPlanilla[$ix]->cliente_id;?>&plan_id=<? echo  $rsPlanilla[$ix]->plan_id;?>&acc=i&id=0"><img  border="0" src="addticket.jpg" width="52" height="52"></a><? } else {?><b>Cerrado</b><? }?>&nbsp;</td>

<td><div align="center"><a href="javascript:abrirEMERGENTE('gs_actividad_trabajo_det.php?cliente_id=<? echo  $rsPlanilla[$ix]->cliente_id;?>&plan_id=<? echo  $rsPlanilla[$ix]->plan_id;?>',500,700);"><img border=0 src="iconnuevo.png" width="52" height="52" ></a></div></td>

<td><div align="center"><a href="javascript:abrirEMERGENTE('gs_cierre.php?cliente_id=<? echo  $rsPlanilla[$ix]->cliente_id;?>&plan_id=<? echo  $rsPlanilla[$ix]->plan_id;?>',500,400);"><img src="cerrar.png" width="52" height="52"></a></div></td>
<td align="center"><strong><span  >&nbsp;<? if( $rsPlanilla[$ix]->estado=="2"){ echo "<font color='#FF0000'>Cerrado</font> ".$rsPlanilla[$ix]->fecha_hasta.$rsPlanilla[$ix]->comentario; } else { echo "<font color='#006600'>Abierto</font>";}?></span></strong></td>
</tr>
<? }  ?>
</table>

</td>
  </tr>
  </TABLE>

</td>

</tr>

	<tr>
    	<td height="10px" valign="middle" style="border: 0px solid black;">
    		<!---
			<a href="javascript: mostrarOcultaBs();"> <img src="../image/icon_buscar2.PNG"> B&uacute;squeda de Documento </a>
			--->
    	</td>
    </tr>

    <tr>
    	<td>
    		<div id="busqueda" style="display: none;">
			<?php //include('include_busqueda_gs_doc.php');?>
			</div>
    	</td>
    </tr>

    <tr>
      <td colspan="2" >&nbsp;</td>
    </tr>
</table></td>
</tr>
<?  require_once("include_pie.php");?>
</table>
</body>
</html>
