# MySQL-Front 3.2  (Build 6.14)

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES 'latin1' */;

# Host: localhost    Database: gssalud
# ------------------------------------------------------
# Server version 5.0.26-community-nt

#
# Table structure for table gs_archivo
#

CREATE TABLE `gs_archivo` (
  `archivo_id` int(11) NOT NULL auto_increment,
  `carpeta_id` int(11) default NULL,
  `nombre` varchar(255) default NULL,
  `descripcion` text,
  `version` int(11) default NULL,
  `ruta` varchar(255) default NULL,
  `fecha_publicado` datetime default NULL,
  `tamano` varchar(10) default NULL,
  PRIMARY KEY  (`archivo_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

#
# Dumping data for table gs_archivo
#

INSERT INTO `gs_archivo` VALUES (1,1,'','asdadada',1,'archivos/RESUMEN EJECUTIVO DE LA EMPRESA ASA FRANCO.docx','2009-02-01 10:49:24',NULL);
INSERT INTO `gs_archivo` VALUES (2,1,'','adasdasd',1,'archivos/01_07_2003.doc','2009-02-01 11:14:26',NULL);
INSERT INTO `gs_archivo` VALUES (3,1,'ver;asdasd','adadad',1,'archivos/CambiosSolicitadosMayo09.xls','2009-02-01 11:15:25',NULL);
INSERT INTO `gs_archivo` VALUES (4,4,'asdasd','asdad',1,'archivos/banner2.PNG','2009-02-01 11:54:24',NULL);
INSERT INTO `gs_archivo` VALUES (5,4,'sdasdasd','asdasdasdasdasd',1,'archivos/banner_doc.PNG','2009-02-01 11:55:32',NULL);
INSERT INTO `gs_archivo` VALUES (6,5,'hajgsdhjagdhjagsdhjg','ytryr',3,'archivos/Administrador de  Documentos en Lnea.docx','2009-02-01 11:58:27',NULL);
INSERT INTO `gs_archivo` VALUES (7,3,'sdasda','dasdasd',1,'archivos/alerta.xls','2009-02-01 12:17:42',NULL);
INSERT INTO `gs_archivo` VALUES (8,3,'sdad','asdasdasdad',1,'archivos/ACTIVIDAD.doc','2009-02-01 12:26:48','36864');
INSERT INTO `gs_archivo` VALUES (9,6,'asdasdas','asdasdasdas',2,'archivos/ACTIVIDAD.doc','2009-02-01 12:37:09','36864');
INSERT INTO `gs_archivo` VALUES (10,7,'CONTRATO','ESTA ES LA VERSION UNO PRELIMIA',1,'archivos/ACTIVIDAD.doc','2009-09-01 14:58:01','36864');
INSERT INTO `gs_archivo` VALUES (11,7,'CONTRATO VERSIOIN E DI8','ASDAKDHAJKJKDHAKJDHADHA',2,'archivos/alertas_clientes.txt','2009-09-01 14:59:08','152551');
INSERT INTO `gs_archivo` VALUES (12,7,'ASDASDASD','ASDASD',1,'archivos/2.PNG','2009-09-01 15:12:06','41491');

#
# Table structure for table gs_carpeta
#

CREATE TABLE `gs_carpeta` (
  `carpeta_id` int(11) NOT NULL auto_increment,
  `nombre` varchar(255) default NULL,
  `descripcion` text,
  `cliente_id` int(11) default NULL,
  PRIMARY KEY  (`carpeta_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

#
# Dumping data for table gs_carpeta
#

INSERT INTO `gs_carpeta` VALUES (1,'carpeta 1','asdadad',5);
INSERT INTO `gs_carpeta` VALUES (2,'ceprta 2','asdasd',5);
INSERT INTO `gs_carpeta` VALUES (3,'carpota1','asdad',3);
INSERT INTO `gs_carpeta` VALUES (4,'asdas','dasdad',2);
INSERT INTO `gs_carpeta` VALUES (5,'asdahksddhqjkhjkajkjh','qkqj',6);
INSERT INTO `gs_carpeta` VALUES (6,'asdasd','sdasdasd',7);
INSERT INTO `gs_carpeta` VALUES (7,'PLAN DE TRABAJO 2009','ANJASDLKAJDLAJDLKAJDLKAJDLAJDLAKJDLASJKDADKADHASDJK 2009 AJSDHAKDHASKDJH',8);

#
# Table structure for table gs_cliente
#

CREATE TABLE `gs_cliente` (
  `cliente_id` int(11) NOT NULL auto_increment,
  `nombre` varchar(255) default NULL,
  `nit` varchar(20) default NULL,
  `direccion` varchar(255) default NULL,
  `telefono` varchar(50) default NULL,
  PRIMARY KEY  (`cliente_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

#
# Dumping data for table gs_cliente
#

INSERT INTO `gs_cliente` VALUES (1,'pruenba','pepasda','asdasd','123123');
INSERT INTO `gs_cliente` VALUES (2,'pruenba','pepasda','asdasd','123123');
INSERT INTO `gs_cliente` VALUES (3,'','','','');
INSERT INTO `gs_cliente` VALUES (4,'2131231','123123','1231231','123123');
INSERT INTO `gs_cliente` VALUES (5,'12312','12312','12312','123123');
INSERT INTO `gs_cliente` VALUES (6,'abcx','2342342','asdasda','asdasd');
INSERT INTO `gs_cliente` VALUES (7,'asdjkhaksdjh','asdasd','131231','123123');
INSERT INTO `gs_cliente` VALUES (8,'CAPREDCOM','8282828282','ASDJHADKJAH','6220919');

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
